//
//  CAGradientLayer+IAPUtils.m
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/31.
//

#import "CAGradientLayer+IAPUtils.h"

@implementation CAGradientLayer (IAPUtils)
+ (CAGradientLayer *)iapu_layerWithColors:(NSArray<UIColor *> *)colorArray direction:(IAPGradientDirection)direction {
  CAGradientLayer *gradientLayer = [CAGradientLayer layer];
  switch (direction) {
    case IAPGradientDirectionTop: {
      gradientLayer.startPoint = CGPointMake(0.5, 0);
      gradientLayer.endPoint = CGPointMake(0.5, 1);
    } break;
      
    case IAPGradientDirectionLeft: {
      gradientLayer.startPoint = CGPointMake(0, 0.5);
      gradientLayer.endPoint = CGPointMake(1, 0.5);
    } break;
      
    case IAPGradientDirectionTopLeft:
    default:{
      gradientLayer.startPoint = CGPointMake(0, 0);
      gradientLayer.endPoint = CGPointMake(1, 1);
    } break;
  }
  
  NSMutableArray *CGColorArray = [[NSMutableArray alloc] init];
  for (UIColor *color in colorArray) {
    [CGColorArray addObject:(__bridge id)color.CGColor];
  }
  gradientLayer.colors = CGColorArray;
  return gradientLayer;
}
@end
