//
//  NSDictionary+IAPUtils.m
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/16.
//

#import "NSDictionary+IAPUtils.h"

@implementation NSDictionary (IAPUtils)
- (BOOL)iapu_boolForKey:(NSString *)key {
    id value = self[key];
    if ([value respondsToSelector:@selector(boolValue)]) {
        return [value boolValue];
    }
    
    return NO;
}

- (nullable NSString *)iapu_stringForKey:(NSString *)key {
    id value = self[key];
    if ([value isKindOfClass:NSString.class]) {
        return value;
    }
    
    return nil;
}

- (NSInteger)iapu_integerForKey:(NSString *)key {
    id value = self[key];
    if ([value respondsToSelector:@selector(integerValue)]) {
        return [value integerValue];
    }
    
    return 0;
}

- (nullable NSArray *)iapu_arrayForKey:(NSString *)key {
    id value = self[key];
    if ([value isKindOfClass:NSArray.class]) {
        return value;
    }
    return nil;
}

- (nullable NSDictionary *)iapu_dictionaryForKey:(NSString *)key {
    id value = self[key];
    if ([value isKindOfClass:NSDictionary.class]) {
        return value;
    }
    return nil;
}

@end
