//
//  NSError+IAPUtils.m
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/16.
//

#import "NSError+IAPUtils.h"
#import "IAPConstant.h"


@implementation NSError (IAPUtils)
+ (instancetype)iapu_paramsIllegalErrorWithExtraMessage:(nullable NSString *)extraMessage {
    NSString *message = @"PARAM_ILLEGAL";
    if (extraMessage.length) {
        message = [message stringByAppendingFormat:@": %@", extraMessage];
    }
    return [NSError errorWithDomain:IAPErrorDomain code:IAPErrorParamIllegal userInfo:@{NSLocalizedDescriptionKey: message}];
}

+ (instancetype)iapu_invalidNetworkErrorWithExtraMessage:(nullable NSString *)extraMessage {
    NSString *message = @"INVALID_NETWORK";
    if (extraMessage.length) {
        message = [message stringByAppendingFormat:@": %@", extraMessage];
    }
    return [NSError errorWithDomain:IAPErrorDomain code:IAPErrorInvalidNetwork userInfo:@{NSLocalizedDescriptionKey: message}];
}

+ (instancetype)iapu_systemErrorWithExtraMessage:(nullable NSString *)extraMessage {
    NSString *message = @"SYSTEM_ERROR";
    if (extraMessage.length) {
        message = [message stringByAppendingFormat:@": %@", extraMessage];
    }
    return [NSError errorWithDomain:IAPErrorDomain code:IAPErrorSystemError userInfo:@{NSLocalizedDescriptionKey: message}];
}



@end
