//
//  UIColor+IAPUtils.m
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/16.
//

#import "UIColor+IAPUtils.h"

@implementation UIColor (IAPUtils)
+ (UIColor *)iapu_colorWithHexString:(NSString *)hexString alpha:(CGFloat)alpha
{
    if (hexString.length < 7 && ![hexString hasPrefix:@"#"]) {
        return nil;
    }
    
    unsigned rgbValue = 0;
    NSScanner *scanner = [NSScanner scannerWithString:hexString];
    [scanner setScanLocation:1]; // bypass '#' character
    [scanner scanHexInt:&rgbValue];
    
    return [UIColor colorWithRed:((rgbValue & 0xFF0000) >> 16)/255.0 green:((rgbValue & 0xFF00) >> 8)/255.0 blue:(rgbValue & 0xFF)/255.0 alpha:alpha];
}
@end
