//
//  UIView+IAPUtils.h
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/20.
//

#import <UIKit/UIKit.h>

NS_ASSUME_NONNULL_BEGIN

@interface UIView (IAPUtils)

@property (nonatomic) CGFloat iapu_left;        ///< Shortcut for frame.origin.x.
@property (nonatomic) CGFloat iapu_top;         ///< Shortcut for frame.origin.y
@property (nonatomic) CGFloat iapu_right;       ///< Shortcut for frame.origin.x + frame.size.width
@property (nonatomic) CGFloat iapu_bottom;      ///< Shortcut for frame.origin.y + frame.size.height
@property (nonatomic) CGFloat iapu_width;       ///< Shortcut for frame.size.width.
@property (nonatomic) CGFloat iapu_height;      ///< Shortcut for frame.size.height.
@property (nonatomic) CGFloat iapu_centerX;     ///< Shortcut for center.x
@property (nonatomic) CGFloat iapu_centerY;     ///< Shortcut for center.y
@property (nonatomic) CGPoint iapu_origin;      ///< Shortcut for frame.origin.
@property (nonatomic) CGSize  iapu_size;        ///< Shortcut for frame.size.


// 指定倒角
- (CAShapeLayer *)iapu_setCornerRadii:(CGFloat)cornerRadii roundingCorners:(UIRectCorner)roundingCorners;
- (void)iapu_touchUpInside:(void(^)(void))block;
@end

NS_ASSUME_NONNULL_END
