//
//  IAPInnerDefines.h
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/10.
//

#import <Foundation/Foundation.h>
#import <objc/runtime.h>

NS_ASSUME_NONNULL_BEGIN

#define IAP_ENCODE_Selector \
- (void)encodeWithCoder:(nonnull NSCoder *)coder { \
    unsigned int count = 0; \
    Ivar *ivarList = class_copyIvarList(self.class, &count); \
    for (int i = 0; i < count; i ++) { \
        Ivar ivar = ivarList[i]; \
        NSString * key = [NSString stringWithUTF8String:ivar_getName(ivar)]; \
        id object = [self valueForKey:key]; \
        [coder encodeObject:object forKey:key]; \
    } \
    free(ivarList); \
}


#define IAP_DECODE_Selector \
- (nullable instancetype)initWithCoder:(nonnull NSCoder *)coder { \
    self = [super init]; \
    if (self) { \
        unsigned int count = 0; \
        Ivar *ivarList = class_copyIvarList(self.class, &count); \
        for (int i = 0; i < count; i ++) { \
            Ivar ivar = ivarList[i]; \
            NSString *key = [NSString stringWithUTF8String:ivar_getName(ivar)]; \
            id object = [coder decodeObjectForKey:key]; \
            if (object) { \
                [self setValue:object forKey:key]; \
            } \
        } \
        free(ivarList); \
    } \
    return self; \
}


#define IAP_COLOR(c) [UIColor iapu_colorWithHexString:@#c alpha:1]

#define IAP_COLOR_A(c, a) [UIColor iapu_colorWithHexString:@#c alpha:a]

#define IAP_DYNAMIC_COLOR(l, d) [IAPStyleUtils colorWithLightColor:[UIColor iapu_colorWithHexString:@#l alpha:1] darkColor:[UIColor iapu_colorWithHexString:@#d alpha:1]]

#define IAP_DYNAMIC_IMAGE(l, d) [IAPStyleUtils imageWithLightImage:[IAPStyleUtils bundleImageNamed:@#l] darkImage:[IAPStyleUtils bundleImageNamed:@#d]] 



#ifndef iapu_weakify
#define iapu_weakify(obj) \
autoreleasepool {}\
__weak typeof(obj) __iapu__weak_##obj = obj;
#endif

#ifndef iapu_strongify
#define iapu_strongify(obj) \
autoreleasepool {}\
__strong typeof(__iapu__weak_##obj) obj = __iapu__weak_##obj;
#endif

NS_ASSUME_NONNULL_END
