//
//  IAPJSONUtils.m
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/16.
//

#import "IAPJSONUtils.h"


@implementation IAPJSONUtils
+ (nullable NSDictionary *)JSONDictionaryFromData:(NSData *)data {
    if (![data isKindOfClass:NSData.class] || !data.length) {
        return nil;
    }
    
    NSDictionary *dic = [NSJSONSerialization JSONObjectWithData:data
                                                        options:NSJSONReadingMutableContainers
                                                          error:NULL];
    if ([dic isKindOfClass:NSDictionary.class]) {
        return dic;
    }
    
    return nil;
}

+ (nullable NSDictionary *)JSONDictionaryFromString:(NSString *)string {
    if (![string isKindOfClass:NSString.class] || !string.length) {
        return nil;
    }
    
    return [self JSONDictionaryFromData:[string dataUsingEncoding:NSUTF8StringEncoding]];
}

@end
