//
//  IAPLocalStorage.h
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/10.
//

#import <Foundation/Foundation.h>

NS_ASSUME_NONNULL_BEGIN

@interface IAPLocalStorage : NSObject

+ (instancetype)shared;

- (void)addPreloadKeys:(NSArray<NSString *> *)keys;
- (void)preload;

- (BOOL)boolForKey:(NSString *)key;
- (void)setBool:(BOOL)value forKey:(NSString *)key;

- (nullable NSString *)stringForKey:(NSString *)key;
- (void)setString:(nullable NSString *)value forKey:(NSString *)key;

- (nullable id<NSCoding>)codingObjectForKey:(NSString *)key;
- (void)setCodingObject:(nullable id<NSCoding>)object forKey:(NSString *)key;

- (nullable NSData *)dataForKey:(NSString *)key;
- (nullable NSData *)memoryDataForKey:(NSString *)key;
- (void)setData:(nullable NSData *)data forKey:(NSString *)key;

- (void)asyncGetDataForKey:(NSString *)key completion:(void(^)(NSData * _Nullable data, BOOL isSyncData))completion;
- (void)asynSetData:(nullable NSData *)data forKey:(NSString *)key completion:(nullable void(^)(void))completion;
@end

NS_ASSUME_NONNULL_END
