//
//  IAPPaymentData.h
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/19.
//

#import <UIKit/UIKit.h>
#import "IAPLogo.h"

NS_ASSUME_NONNULL_BEGIN

@interface IAPPaymentWalletRedirectionInfo: NSObject
@property (nonatomic, strong, readonly, nullable) NSString *schemeUrl;
@property (nonatomic, strong, readonly, nullable) NSString *applinkUrl;
@property (nonatomic, strong, readonly, nullable) NSString *normalUrl;
@property (nonatomic, strong, readonly, nullable) NSString *orderInfo;

- (BOOL)canOpenUrl;

// for testCNWallet while integration testing
- (BOOL)isTestCNWallet;

- (void)openUrl;

- (nullable instancetype)initWithJSONDictionary:(NSDictionary *)JSONDictionary codeValue:(NSString *)codeValue;
@end

@interface IAPPaymentWalletData: NSObject
@property (nonatomic, strong, readonly) NSString *walletName;
@property (nonatomic, strong, readonly) IAPLogo *walletLogo;
@property (nonatomic, strong, readonly) NSString *walletBrandName;
@property (nonatomic, assign, readonly) BOOL enabled;
@property (nonatomic, strong, readonly, nullable) NSString *disableReason;
@property (nonatomic, strong, readonly) NSArray<NSString *> *promoNames;
@property (nonatomic, strong, readonly) NSArray<NSString *> *searchKeywords;
@property (nonatomic, strong, readonly) IAPPaymentWalletRedirectionInfo *redirectionInfo;

@property (nonatomic, assign) BOOL bizSelected;
@property (nonatomic, weak)  id bizTableTableCell;
- (void)bizAsyncFetchLogoWithCallback:(void(^)(UIImage * _Nullable logo, BOOL isPlaceHolder))callback;

- (nullable instancetype)initWithJSONDictionary:(NSDictionary *)json reasonTemplate:(NSDictionary<NSString *, NSString *> *)reasonTemplate codeValue:(NSString *)codeValue;
@end


@interface IAPPaymentData : NSObject
@property (nonatomic, strong, readonly) NSString *displayPaymentAmount;
@property (nonatomic, strong, readonly) NSString *displayPaymentCurrency;
@property (nonatomic, strong, readonly) NSString *codeValue;
@property (nonatomic, strong, readonly) NSDictionary<NSString *, NSString *> *reasonTemplate;
@property (nonatomic, strong, readonly) NSArray<IAPPaymentWalletData *> *wallets;

- (nullable instancetype)initWithJSONDictionary:(NSDictionary *)JSONDictionary;

- (BOOL)hasAvailableWallets;
@end

NS_ASSUME_NONNULL_END
