//
//  IAPStyleUtils+PaymentSheet.m
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/15.
//

#import "IAPStyleUtils+PaymentSheet.h"
#import "UIColor+IAPUtils.h"
#import "IAPInnerDefines.h"

@implementation IAPStyleUtils (PaymentSheet)



+ (UIColor *)sheetCurtainColor {
    return [IAPStyleUtils colorWithLightColor:IAP_COLOR_A(#000000, 0.5) darkColor:IAP_COLOR_A(#000000, 0.5)];
}

+ (UIColor *)sheetBackgroundColor {
    return IAP_DYNAMIC_COLOR(#FFFFFF, #172840);
}

+ (UIColor *)sheetCheckoutTopViewBackgroundColor {
    return IAP_DYNAMIC_COLOR(#FFFFFF, #202D46);
}

+ (UIColor *)sheetMainTitleTextColor {
    return IAP_DYNAMIC_COLOR(#3D5472, #FFFFFF);
}

+ (UIColor *)sheetTableSeparateLineColor {
    return [IAPStyleUtils colorWithLightColor:IAP_COLOR(#F5F5F5) darkColor:IAP_COLOR_A(#F5F5F5, 0.1)];
}

+ (UIColor *)sheetLogoBorderLayerColor {
    return IAP_DYNAMIC_COLOR(#F5F5F5, #172840);
}

+ (UIColor *)sheetTagBorderLayerColor  {
    return [IAPStyleUtils colorWithLightColor:IAP_COLOR_A(#FE7B50, 0.2) darkColor:IAP_COLOR_A(#FE7B50, 0.2)];
}

+ (UIColor *)sheetTagBackgroundColor {
    return [IAPStyleUtils colorWithLightColor:IAP_COLOR(#FFEDE6) darkColor:[UIColor clearColor]];
}

+ (UIColor *)sheetTagTextColor {
    return IAP_DYNAMIC_COLOR(#FE7B50, #FE7B50);
}

+ (UIColor *)sheetToastBackgroundColor {
    return IAP_DYNAMIC_COLOR(#000000, #000000);
}

+ (UIColor *)sheetToastTextColor {
    return IAP_DYNAMIC_COLOR(#FFFFFF, #FFFFFF);
}

+ (UIColor *)sheetDisableTagTextColor {
    return IAP_COLOR_A(#98A6BB, 0.6);
}

+ (UIColor *)sheetMoreButtenTextColor {
    return IAP_DYNAMIC_COLOR(#98A6BB, #FFFFFF);
}

+ (UIColor *)sheetOperationViewSeparateLineColor {
    return IAP_DYNAMIC_COLOR(#F5F5F5, #172840);
}

+ (UIColor *)sheetOperationViewBackgroundColor {
    return IAP_DYNAMIC_COLOR(#FFFFFF, #1E314A);
}

+ (UIColor *)sheetTotalTitleTextColor {
    return IAP_DYNAMIC_COLOR(#98A6BB, #FFFFFF);
}

+ (UIColor *)sheetTotalValueTextColor {
    return IAP_DYNAMIC_COLOR(#172840, #FFFFFF);
}

+ (UIColor *)sheetPayButtonBackgroundColor {
    return IAP_DYNAMIC_COLOR(#1677FF, #1677FF);
}

+ (UIColor *)sheetPayButtonTextColor {
    return IAP_DYNAMIC_COLOR(#FFFFFF, #FFFFFF);
}


+ (UIColor *)sheetReturnButtonBorderLayerColor {
    return IAP_DYNAMIC_COLOR(#1677FF, #2F3D58);
}

+ (UIColor *)sheetReturnButtonTextColor; {
    return IAP_DYNAMIC_COLOR(#1677FF, #1677FF);
}

+ (UIColor *)sheetSearchFieldsViewBackgroundColor {
    return IAP_DYNAMIC_COLOR(#FFFFFF, #172840);
}

+ (UIColor *)sheetSearchFieldBackgroundColor {
    return [IAPStyleUtils colorWithLightColor:IAP_COLOR_A(#E1E6ED, 0.4) darkColor:IAP_COLOR_A(#98A6BB, 0.1)];
}

+ (UIColor *)sheetSearchFieldPlaceholderTextColor {
    return IAP_DYNAMIC_COLOR(#98A6BB, #98A6BB);
}


+ (UIColor *)sheetSearchFieldTextColor {
    return IAP_DYNAMIC_COLOR(#566C8A, #FFFFFF);
}

+ (UIColor *)shadowColor {
    return [IAPStyleUtils colorWithLightColor:[UIColor blackColor] darkColor:[UIColor clearColor]];
}


#pragma mark- images

+ (UIImage *)aPlusCheckoutImage {
    static UIImage*image;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        image = IAP_DYNAMIC_IMAGE(iapu_payment_logo_light, iapu_payment_logo_dark);
    });
    return image;
}

+ (UIImage *)closeImage {
    static UIImage*image;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        image = IAP_DYNAMIC_IMAGE(iapu_close_light, iapu_close_dark);
    });
    return image;
    
}

+ (UIImage *)walletDisableImage {
    return IAP_DYNAMIC_IMAGE(iap_wallet_disable_light, iap_wallet_disable_dark);
}

+ (UIImage *)walletIsSelectedImage {
    static UIImage*image;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        image = [self bundleImageNamed:@"iap_wallet_isSelected_light"];
        // image = IAP_DYNAMIC_IMAGE(iap_wallet_isSelected_light, iap_wallet_isSelected_light);
    });
    return image;
}

+ (UIImage *)walletIsNotSelectedImage {
    static UIImage*image;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        image = IAP_DYNAMIC_IMAGE(iap_wallet_isNotSelected_light, iap_wallet_isNotSelected_dark);
    });
    return image;
}

+ (UIImage *)walletMoreImage {
    static UIImage*image;
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        image = IAP_DYNAMIC_IMAGE(iap_more_light, iap_more_dark);
    });
    return image;
}

+ (UIImage *)sheetSearchLeftImage {
    return IAP_DYNAMIC_IMAGE(search_bar_left_light, search_bar_left_light);
}

+ (UIImage *)sheetSearchRightImage {
    return IAP_DYNAMIC_IMAGE(search_bar_right_light, search_bar_right_dark);
}

+ (void)preloadSheetUIKeyImage {
    [self aPlusCheckoutImage];
    [self closeImage];
    [self walletIsSelectedImage];
    [self walletIsNotSelectedImage];
    [self walletMoreImage];
}

@end
