//
//  IAPPaymentSheetHideKeyBoardView.m
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/21.
//

#import "IAPPaymentSheetHideKeyBoardView.h"

#import "UIView+IAPUtils.h"
#import "UIColor+IAPUtils.h"
#import "IAPStyleUtils+PaymentSheet.h"
#import "IAPMultiLanguageUtils+PaymentSheet.h"
#import "IAPInnerDefines.h"
#import "IAPJSONUtils.h"
#import "NSDictionary+IAPUtils.h"
#import "IAPPaymentData.h"

@interface IAPPaymentSheetHideKeyBoardView ()
@property (nonatomic, strong) UIImageView *moreIcon;
@end

@implementation IAPPaymentSheetHideKeyBoardView

- (instancetype)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        [self initSubviews];
    }
    return self;
}

- (void)initSubviews {
    self.backgroundColor = [IAPStyleUtils sheetOperationViewBackgroundColor];
    
    UIImageView *imageView = [[UIImageView alloc] initWithFrame:CGRectMake(0, 3, 24, 24)];
    [self addSubview:imageView];
    imageView.iapu_centerX = self.iapu_width / 2;
    imageView.image = [IAPStyleUtils walletMoreImage];
    self.moreIcon = imageView;
    
    @iapu_weakify(self);
    [self iapu_touchUpInside:^{
        @iapu_strongify(self);
        if (self.disabled) {
            return;
        }
        if (self.hideAction) {
            self.hideAction();
        }
    }];
}

- (void)setDisabled:(BOOL)disabled {
    _disabled = disabled;
    self.moreIcon.hidden = disabled;
}

- (void)dealloc {
    NSLog(@"");
}
@end
