//
//  IAPPaymentSheetMoreView.m
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/20.
//

#import "IAPPaymentSheetMoreView.h"
#import "UIView+IAPUtils.h"
#import "UIColor+IAPUtils.h"
#import "IAPStyleUtils+PaymentSheet.h"
#import "IAPMultiLanguageUtils+PaymentSheet.h"
#import "IAPInnerDefines.h"
#import "IAPJSONUtils.h"
#import "NSDictionary+IAPUtils.h"
#import "IAPPaymentData.h"

@interface IAPPaymentSheetMoreView ()
@end
@implementation IAPPaymentSheetMoreView

- (instancetype)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        [self initSubviews];
    }
    return self;
}

- (void)initSubviews {
    self.backgroundColor = [UIColor clearColor];
    UILabel *label = [[UILabel alloc] initWithFrame:CGRectMake(0, 12, 0, 21.5)];
    [self addSubview:label];
    label.font = [IAPStyleUtils mediumFontOfSize:14];
    label.textColor = [IAPStyleUtils sheetMoreButtenTextColor];
    label.text = [IAPMultiLanguageUtils presetPaymentSheetText:IAPPaymentSheetPresetText_More_payment_methods];
    CGFloat labelWidth = [[NSAttributedString alloc] initWithString:label.text ?: @"" attributes:@{NSFontAttributeName: label.font}].size.width;
    label.iapu_width = labelWidth;
    
    UIImageView *imageView = [[UIImageView alloc] initWithFrame:CGRectMake(0, 14.5, 16, 16)];
    [self addSubview:imageView];
    imageView.image = [IAPStyleUtils walletMoreImage];
    
    label.iapu_left = (self.iapu_width - imageView.iapu_width - label.iapu_width - 4) / 2;
    imageView.iapu_left = label.iapu_right + 4;
    
    @iapu_weakify(self);
    [self iapu_touchUpInside:^{
        @iapu_strongify(self);
        if (self.moreAction) {
            self.moreAction();
        }
    }];
}

- (void)dealloc {
    NSLog(@"");
}

@end
