//
//  IAPConfiguration.m
//  AlipayPlusClient
//
//  Created by assuner on 2022/3/11.
//

#import "IAPConfiguration.h"
#import "IAPMultiLanguageUtils.h"
#import "IAPLocalStorage.h"
#import "IAPStyleUtils+PaymentSheet.h"

@implementation IAPConfiguration
@synthesize envType = _envType;

#pragma mark - override

- (void)setEnvType:(IAPEnv)envType {
    if ([envType isEqualToString:kIAPEnvSANDBOX]) {
        _envType = envType;
    } else {
        _envType = kIAPEnvPROD;
    }
}

- (NSString *)envType {
    if (!_envType.length) {
        return kIAPEnvPROD;
    } else {
        return _envType;
    }
}

- (NSString *)language {
    if (!_language.length) {
        return [IAPMultiLanguageUtils defaultCurrentLanguage];
    } else {
        return _language;
    }
}

- (void)setAcquirerId:(NSString *)acquirerId {
    _acquirerId = acquirerId;
    
    [[IAPLocalStorage shared] preload];
    [IAPStyleUtils preloadSheetUIKeyImage];
}

@end
