//
//  DictionaryUtilsTests.m
//  AlipayPlusClientTests
//
//  Created by assuner on 2022/3/16.
//

#import <XCTest/XCTest.h>
#import "NSDictionary+IAPUtils.h"

@interface DictionaryUtilsTests : XCTestCase

@end

@implementation DictionaryUtilsTests

- (void)setUp {
    // Put setup code here. This method is called before the invocation of each test method in the class.
}

- (void)tearDown {
    // Put teardown code here. This method is called after the invocation of each test method in the class.
}

- (void)testDictionayFastKey {
    BOOL boolResult = NO;
    boolResult = [@{@"a": @1} iapu_boolForKey:@"a"];
    XCTAssertTrue(boolResult, @"");
    boolResult = [@{@"a": @1} iapu_boolForKey:@"b"];
    XCTAssertTrue(!boolResult, @"");
    boolResult = [@{@"a": @1} iapu_boolForKey:@"a"];
    XCTAssertTrue(boolResult, @"");
    boolResult = [@{@"a": @[]} iapu_boolForKey:@"a"];
    XCTAssertTrue(!boolResult, @"");
    
    
    NSString *stringResult = nil;
    stringResult = [@{@"a": @"123"} iapu_stringForKey:@"a"];
    XCTAssertTrue(stringResult, @"");
    stringResult = [@{@"a": @"123"} iapu_stringForKey:@"b"];
    XCTAssertTrue(!stringResult, @"");
    stringResult = [@{@"a": @"123"} iapu_stringForKey:@"a"];
    XCTAssertTrue(stringResult, @"");
    stringResult = [@{@"a": @[]} iapu_stringForKey:@"a"];
    XCTAssertTrue(!stringResult, @"");
    
    NSInteger integerResult = 0;
    integerResult = [@{@"a": @"123"} iapu_integerForKey:@"a"];
    XCTAssertTrue(integerResult == 123, @"");
    integerResult = [@{@"a": @"123"} iapu_integerForKey:@"b"];
    XCTAssertTrue(integerResult == 0, @"");
    integerResult = [@{@"a": @"123"} iapu_integerForKey:@"a"];
    XCTAssertTrue(integerResult == 123, @"");
    integerResult = [@{@"a": @[]} iapu_integerForKey:@"a"];
    XCTAssertTrue(integerResult == 0, @"");
    
    
    NSArray *arrayResult = nil;
    arrayResult = [@{@"a": @[@"123"]} iapu_arrayForKey:@"a"];
    XCTAssertTrue(arrayResult.count == 1, @"");
    arrayResult = [@{@"a": @[@"123"]} iapu_arrayForKey:@"b"];
    XCTAssertTrue(arrayResult.count == 0, @"");
    arrayResult = [@{@"a": @[@"123"]} iapu_arrayForKey:@"a"];
    XCTAssertTrue(arrayResult.count == 1, @"");
    arrayResult = [@{@"a": @1} iapu_arrayForKey:@"b"];
    XCTAssertTrue(arrayResult.count == 0, @"");
    
    
    NSDictionary *dictionaryResult = nil;
    dictionaryResult = [@{@"a": @{@"123": @"345"}} iapu_dictionaryForKey:@"a"];
    XCTAssertTrue(dictionaryResult.count == 1, @"");
    dictionaryResult = [@{@"a": @{@"123": @"345"}} iapu_dictionaryForKey:@"b"];
    XCTAssertTrue(dictionaryResult.count == 0, @"");
    dictionaryResult = [@{@"a": @{@"123": @"345"}} iapu_dictionaryForKey:@"a"];
    XCTAssertTrue(dictionaryResult.count == 1, @"");
    dictionaryResult = [@{@"a": @123} iapu_dictionaryForKey:@"a"];
    XCTAssertTrue(dictionaryResult.count == 0, @"");
}



@end
