//
//  IAPConfigurationTests.m
//  AlipayPlusClientTests
//
//  Created by assuner on 2022/3/11.
//

#import <XCTest/XCTest.h>
#import "IAPConfiguration.h"
#import "IAPMultiLanguageUtils.h"


@interface IAPConfigurationTests : XCTestCase

@end

@implementation IAPConfigurationTests

- (void)setUp {
    // Put setup code here. This method is called before the invocation of each test method in the class.
}

- (void)tearDown {
    // Put teardown code here. This method is called after the invocation of each test method in the class.
}


- (void)testLanguage {
    IAPConfiguration *config = [IAPConfiguration new];
    XCTAssertTrue(!config.merchantId, @"");
    XCTAssertTrue(!config.acquirerId, @"");
    XCTAssertTrue([config.envType isEqualToString:kIAPEnvPROD], @"");
    XCTAssertTrue([config.language isEqualToString:[IAPMultiLanguageUtils defaultCurrentLanguage]], @"");
    
    config.envType = @"xxx";
    XCTAssertTrue([config.envType isEqualToString:kIAPEnvPROD], @"");
    
    config.envType = kIAPEnvSANDBOX;
    XCTAssertTrue([config.envType isEqualToString:kIAPEnvSANDBOX], @"");
    
    config.language = @"en_HK";
    XCTAssertTrue([config.language isEqualToString:@"en_HK"], @"");
}

- (void)testMaxSheet {
}

@end
