//
//  IAPRequestUtilsTests.m
//  AlipayPlusClientTests
//
//  Created by assuner on 2022/3/16.
//

#import <XCTest/XCTest.h>
#import "IAPRequestUtils.h"
#import "IAPJSONUtils.h"
#import "IAPConstant.h"

@interface IAPRequestUtilsTests : XCTestCase

@end

@implementation IAPRequestUtilsTests

- (void)setUp {
    // Put setup code here. This method is called before the invocation of each test method in the class.
}

- (void)tearDown {
    // Put teardown code here. This method is called after the invocation of each test method in the class.
}
- (void)testDownloadCDN {
    XCTestExpectation *exp = [self expectationWithDescription:@"xx"];
    [[IAPRequestUtils shared] asyncDownloadCDNFileWithURLString:@"https://cdn.marmot-cloud.com/storage/aplus-checkout-prod/json/prod/A0TEST400000000/ecd71870d1963316a97e3ac3408c9835ad8cf0f3c1bc703527c30265534f75ae.json" timeoutInterval:10 completionHandler:^(NSData * _Nullable data, NSURLResponse * _Nullable response, NSError * _Nullable error) {
        if (!error && data) {
            NSDictionary *json = [IAPJSONUtils JSONDictionaryFromData:data];
            if (json.count) {
                [exp fulfill];
            }
        }
    }];
    
    [self waitForExpectationsWithTimeout:3 handler:^(NSError * _Nullable error) {
        
    }];
}

- (void)testDownloadCDN1 {
    XCTestExpectation *exp = [self expectationWithDescription:@"xx"];
    [[IAPRequestUtils shared] asyncDownloadCDNFileWithURLString:@"" timeoutInterval:10 completionHandler:^(NSData * _Nullable data, NSURLResponse * _Nullable response, NSError * _Nullable error) {
        if (error && !data) {
            [exp fulfill];
        }
    }];
    
    [self waitForExpectationsWithTimeout:0.01 handler:^(NSError * _Nullable error) {
        
    }];
}

- (void)testDownloadCDN2 {
    XCTestExpectation *exp = [self expectationWithDescription:@"xx"];
    [[IAPRequestUtils shared] asyncDownloadCDNFileWithURLString:@"1 23" timeoutInterval:10 completionHandler:^(NSData * _Nullable data, NSURLResponse * _Nullable response, NSError * _Nullable error) {
        if (error.code == IAPErrorParamIllegal && !data) {
            [exp fulfill];
        }
    }];
    
    [self waitForExpectationsWithTimeout:0.01 handler:^(NSError * _Nullable error) {
        
    }];
}

- (void)testDownloadCDN3 {
    XCTestExpectation *exp = [self expectationWithDescription:@"xx"];
    [[IAPRequestUtils shared] asyncDownloadCDNFileWithURLString:@"http://" timeoutInterval:10 completionHandler:^(NSData * _Nullable data, NSURLResponse * _Nullable response, NSError * _Nullable error) {
        if ([error.domain isEqualToString:NSURLErrorDomain] && !data) {
            [exp fulfill];
        }
    }];
    
    [self waitForExpectationsWithTimeout:0.5 handler:^(NSError * _Nullable error) {
        
    }];
}

- (void)testDownloadiMAGE {
    XCTestExpectation *exp = [self expectationWithDescription:@"xx"];
    [[IAPRequestUtils shared] asyncDownloadCDNFileWithURLString:@"https://cdn.marmot-cloud.com/storage/2022/3/17/854aa78d-4843-4008-b8df-762789754a5c.pdf" timeoutInterval:10 completionHandler:^(NSData * _Nullable data, NSURLResponse * _Nullable response, NSError * _Nullable error) {
        UIImage *image = [UIImage imageWithData:data];
        
        NSLog(@"");
        if (!image) {
            [exp fulfill];
        }
    }];
    
    [self waitForExpectationsWithTimeout:3 handler:^(NSError * _Nullable error) {
        
    }];
}

@end
