//
//  IAPStyleUtilsTests.m
//  AlipayPlusClientTests
//
//  Created by assuner on 2022/3/15.
//

#import <XCTest/XCTest.h>
#import "IAPStyleUtils.h"
#import "IAPStyleUtils+PaymentSheet.h"
#import "UIColor+IAPUtils.h"

@interface IAPStyleUtilsTests : XCTestCase

@end

@implementation IAPStyleUtilsTests

- (void)setUp {
    // Put setup code here. This method is called before the invocation of each test method in the class.
}

- (void)tearDown {
    // Put teardown code here. This method is called after the invocation of each test method in the class.
}

- (void)testDynamicColor {
    UIColor *color = [IAPStyleUtils colorWithLightColor:[UIColor whiteColor] darkColor:[UIColor blackColor]];
    XCTAssertTrue(color, @"");
}

- (void)testDynamicImage {
    UIImage *image = [IAPStyleUtils imageWithLightImage:[UIImage new] darkImage:[UIImage new]];
    XCTAssertTrue(image, @"");
}

- (void)testSheetColor {
    UIColor *color = nil;
    
    color = [IAPStyleUtils sheetCurtainColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetBackgroundColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetCheckoutTopViewBackgroundColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetMainTitleTextColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetTableSeparateLineColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetTagBorderLayerColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetTagBackgroundColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetTagTextColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetToastBackgroundColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetToastTextColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetDisableTagTextColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetMoreButtenTextColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetOperationViewSeparateLineColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetOperationViewBackgroundColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetTotalTitleTextColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetTotalValueTextColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetPayButtonBackgroundColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetPayButtonTextColor];
    XCTAssertTrue(color, @"");
    
    
    color = [IAPStyleUtils sheetReturnButtonTextColor];
    XCTAssertTrue(color, @"");
    
    
    
    color = [IAPStyleUtils sheetSearchFieldsViewBackgroundColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetSearchFieldBackgroundColor];
    XCTAssertTrue(color, @"");
    
    color = [IAPStyleUtils sheetSearchFieldPlaceholderTextColor];
    XCTAssertTrue(color, @"");

    
    color = [IAPStyleUtils sheetSearchFieldTextColor];
    XCTAssertTrue(color, @"");
}


- (void)testBundle {
    NSBundle *bundle = [IAPStyleUtils bundle];
    XCTAssert(bundle, @"");
}

- (void)testImage {
    UIImage *img = [UIImage imageNamed:@"123"];
    XCTAssert(!img, @"");
    
    img = [IAPStyleUtils bundleImageNamed:@"iapu_payment_logo_dark"];
    XCTAssert(img, @"");
}

@end
