//
//  IAPWalletActionTest.m
//  AlipayPlusClientTests
//
//  Created by yihan on 2023/1/17.
//

#import <XCTest/XCTest.h>
#import "IAPCommonWalletAction.h"
#import "IAPAlipayCNWalletAction.h"
#import "AlipayPlusClient/AlipayPlusClientAPI.h"
#import "IAPPaymentData.h"
#import "IAPJSONUtils.h"

@interface IAPWalletActionTest : XCTestCase

@end

@implementation IAPWalletActionTest

- (void)setUp {
    // Put setup code here. This method is called before the invocation of each test method in the class.
}

- (void)tearDown {
    // Put teardown code here. This method is called after the invocation of each test method in the class.
}

- (void)testExample {
    // This is an example of a functional test case.
    // Use XCTAssert and related functions to verify your tests produce the correct results.
}

- (void)testPerformanceExample {
    // This is an example of a performance test case.
    [self measureBlock:^{
        // Put the code you want to measure the time of here.
    }];
}

- (void)testCNSDKProcessResultURL {
    
    XCTestExpectation *exp = [self expectationWithDescription:@"xx"];

    [AlipayPlusClient shared].configuration.fromScheme = @"testFromScheme";
    
    NSURL *testURL = [[NSURL alloc] initWithString:@"alisdkdemo://safepay/?%7B%22memo%22:%7B%22result%22:%22%22,%22ResultStatus%22:%226001%22,%22memo%22:%22Payment%20incomplete.%22%7D,%22requestType%22:%22safepay%22,%22pkgInfo%22:%22%7B%5C%22sdkVersion%5C%22:%5C%2210.8.72%5C%22,%5C%22appName%5C%22:%5C%22com.alipay.wallet.test%5C%22,%5C%22appVersion%5C%22:%5C%2210.3.30.00004577%5C%22%7D%22%7D"];
    
    NSString *paymentJSONString = @"{\"codeValue\":\"281666040099hsC12rZgD1j0E29g2jT6Igqm\",\"displayPaymentAmount\":\"1.00\",\"displayPaymentCurrency\":\"MYR\",\"wallets\":[{\"enabled\":true,\"redirectionInfo\":{\"orderInfo\":\"test\"},\"walletBrandName\":\"GCash\",\"walletLogo\":{\"logoName\":\"GCASH\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/GCASH.png\"},\"walletName\":\"GCASH\"}]}";
    NSDictionary *json = [IAPJSONUtils JSONDictionaryFromString:paymentJSONString];

    IAPPaymentData *testPaymentData = [[IAPPaymentData alloc] initWithJSONDictionary:json];
    [[IAPAlipayCNWalletAction shared] handlePayWithWalletData:testPaymentData.wallets.firstObject callback:^(IAPPaymentSheetEvent * _Nonnull sheetEvent) {
        NSLog(@"sheetEvent: %@",sheetEvent.name);
        [exp fulfill];
    }];
    [[IAPAlipayCNWalletAction shared] processOrderWithPaymentResult:testURL];
    

    [self waitForExpectationsWithTimeout:3 handler:^(NSError * _Nullable error) {
        
    }];
    
}


@end
