package com.iap.alipayplusclient;

import android.content.Context;
import android.util.Log;

import androidx.test.platform.app.InstrumentationRegistry;
import androidx.test.ext.junit.runners.AndroidJUnit4;

import com.iap.cashier.data.model.IAPPaymentOption;

import org.json.JSONException;
import org.json.JSONObject;
import org.junit.Test;
import org.junit.runner.RunWith;

import static org.junit.Assert.*;
import static org.junit.Assert.assertEquals;

/**
 * Instrumented test, which will execute on an Android device.
 *
 * @see <a href="http://d.android.com/tools/testing">Testing documentation</a>
 */
@RunWith(AndroidJUnit4.class)
public class ExampleInstrumentedTest {
    @Test
    public void useAppContext() {
        // Context of the app under test.
        Context appContext = InstrumentationRegistry.getInstrumentation().getTargetContext();
        assertEquals("com.iap.alipayplusclient.test", appContext.getPackageName());
    }

    @Test
    public void paymentOptionAll() {
        String data = "{\"errorContext\":{\"errorStack\":[]},\"jsonUrl\":{\"brandName\":\"Alipay+\",\"supportedPaymentCurrencies\":[\"USD\",\"HKD\",\"PHP\"],\"logo\":{\"logoName\":\"AlipayPlus\",\"logoUrl\":\"https://cdn.marmot-cloud.com/storage/aplus-checkout-prod/icon/prod/CONNECT_WALLET_TEST.png\"},\"paymentMethodType\":\"CONNECT_WALLET\",\"enabled\":true,\"promoNames\":[\"{\\\"en_US\\\":\\\"This information is for testing A+ Unified Cashier Marketing. A+ Unified Cashier presents the most beneficial discount, guide users to initiate and finish a transaction, thus to improve merchant transactions and increase payment share of A+ partner wallets\\\",\\\"th_TH\\\":\\\"คูปองส่วนลด 30 บาท, คูปองส่วนลด 30 บาท, คูปองส่วนลด 30 บาท, คูปองส่วนลด 30 บาท, คูปองส่วนลด 30 บาท, คูปองส่วนลด 30 บาท, คูปองส่วนลด 30 บาท, คูปองส่วนลด 30 บาท, คูปองส่วนลด 30 บาท, คูปองส่วนลด 30 บาท, คูปองส่วนลด 30 บาท, คูปองส่วนลด 30 บาท, คูปองส่วนลด 30 \\\"}\"]},\"success\":true,\"resultCode\":\"SUCCESS\",\"resultMessage\":\"execute success\"}";
        Context appContext = InstrumentationRegistry.getInstrumentation().getTargetContext();
        IAPPaymentOption iapPaymentOption = null;
        try {
            iapPaymentOption = IAPPaymentOption.initIAPPaymentOption(appContext, new JSONObject(data));
        } catch (JSONException e) {
            e.printStackTrace();
        }
        assertEquals("ExampleInstrumentedTest", "" + (iapPaymentOption == null ? "null" : iapPaymentOption.enabled));
        Log.e("ExampleInstrumentedTest", "" + (iapPaymentOption == null ? "null" : iapPaymentOption.enabled));
    }

}