package com.iap.alipayplusclient;

import android.content.Context;

import com.iap.basic.alipay.LogService;
import com.iap.basic.alipay.config.ConfigurationManager;
import com.iap.basic.alipay.config.IAPConfiguration;
import com.iap.cashier.callback.IAPInquirePaymentCallback;
import com.iap.cashier.callback.IAPPaymentSheetEventCallback;
import com.iap.cashier.core.AlipayCashierClient;
import com.iap.cashier.data.model.IAPInquirePaymentOptionParams;
import com.iap.cashier.data.model.IAPPaymentOption;
import com.iap.cashier.data.model.IAPPaymentSheetEvent;

/**
 * Author kanguihu
 * Data   2022/3/7
 * Desc   商户SDK对外暴露API
 */
public class AlipayPlusClient {

    public static LogService logService;

    public static void setConfiguration(IAPConfiguration configuration) {
        if (Utils.checkClassExist(Constants.PACKAGE_NAME_CONFIGURATION)) {
            ConfigurationManager.getInstance().initConfguration(configuration);
        }
    }

    public static void inquirePaymentOption(Context context, IAPInquirePaymentOptionParams params, IAPInquirePaymentCallback<IAPPaymentOption> callback){
        if (callback == null) {
            return;
        }
        if (Utils.checkClassExist(Constants.PACAKGE_NAME_CASHIERCLIENT)) {
            AlipayCashierClient.getInstance().inquirerPaymentOption(context, params,callback);
        }
    }

    public static void showPaymentSheet(Context context, String paymentData, IAPPaymentSheetEventCallback<IAPPaymentSheetEvent> callback) {
        if (Utils.checkClassExist(Constants.PACAKGE_NAME_CASHIERCLIENT)) {
            AlipayCashierClient.logService = logService;
            AlipayCashierClient.getInstance().showPaymentSheet(context, paymentData,callback);
        }
    }

}
