package com.iap.alipayplustclient;

import java.lang.reflect.Array;
import java.security.NoSuchAlgorithmException;

import javax.crypto.Cipher;
import javax.crypto.KeyGenerator;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;

/**
 * Author kanguihu
 * Data   2022/5/10
 * Desc
 */
public class AESCipherUtils {

    private static KeyGenerator keyGenerator;

    public static byte[] generateKey() {
        if (keyGenerator == null) {
            try {
                keyGenerator = KeyGenerator.getInstance("AES");
                keyGenerator.init(128);
            } catch (NoSuchAlgorithmException e) {
                return null;
            }
        }

        return keyGenerator.generateKey().getEncoded();
    }

    public static byte[] encryptAes(byte[] content, byte[] key, byte[] iv) throws Exception {
        SecretKeySpec secretKeySpec = new SecretKeySpec(key, "AES");
        IvParameterSpec ivParameterSpec = new IvParameterSpec(iv);
        Cipher cipher = Cipher.getInstance("AES/CBC/PKCS5Padding");

        cipher.init(Cipher.ENCRYPT_MODE, secretKeySpec, ivParameterSpec);
        return cipher.doFinal(content);
    }

    public static byte[] decryptAes(byte[] key, byte[] encrypted, byte[] iv) throws Exception {
        SecretKeySpec secretkeySpec = new SecretKeySpec(key, "AES");
        IvParameterSpec ivParameterSpec = new IvParameterSpec(iv);
        Cipher cipher = Cipher.getInstance("AES/CBC/PKCS5Padding");

        cipher.init(Cipher.DECRYPT_MODE, secretkeySpec, ivParameterSpec);
        return cipher.doFinal(encrypted);
    }
}
