package com.iap.alipayplustclient;

import androidx.appcompat.app.AppCompatActivity;
import androidx.appcompat.app.AppCompatDelegate;

import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.Log;
import android.view.View;
import android.widget.EditText;
import android.widget.TextView;
import android.widget.Toast;

import com.iap.alipayplusclient.AlipayPlusClient;
import com.iap.basic.alipay.config.ConfigurationManager;
import com.iap.basic.alipay.config.IAPConfiguration;
//import com.iap.basic.alipay.utils.Util;
import com.iap.basic.alipay.utils.SharedPreferenceManager;
import com.iap.basic.alipay.utils.Util;
import com.iap.cashier.callback.IAPInquirePaymentCallback;
import com.iap.cashier.callback.IAPPaymentSheetEventCallback;
import com.iap.cashier.core.LanguageManager;
import com.iap.cashier.data.model.IAPInquirePaymentOptionParams;
import com.iap.cashier.data.model.IAPPaymentOption;
import com.iap.cashier.data.model.IAPPaymentSheetEvent;

import org.json.JSONException;
import org.json.JSONObject;

public class MainActivity extends AppCompatActivity {

    private static final String TAG = "MainActivity";

    //public static final String DATA_PATMENT = "{\"codeValue\":\"281666040092sO5j1j0NI6IxMn2tUtF7Q4uA\",\"displayPaymentAmount\":\"1.00\",\"displayPaymentCurrency\":\"MYR\",\"wallets\":[{\"enabled\":true,\"promoNames\":[\"{\\\"en_US\\\":\\\"英文测试-gcash\\\",\\\"fil_PH\\\":\\\"菲律宾语-gcash\\\",\\\"id_ID\\\":\\\"印尼与\\\",\\\"zh_CN\\\":\\\"中文测试-gdddddddddddddddddddcash\\\"}\"],\"redirectionInfo\":{\"appIdentifier\":\"com.globe.gcash.android\",\"applinkUrl\":\"https://uat.m.gcash.com/gcash-ac-cashier-intermediate-web/h5.html?acCodeValue=${codeValue}&acFlag=true\",\"normalUrl\":\"https://payments.gcash.com/gcash-ac-cashier-intermediate-web/standalone-h5.html?acCodeValue=${codeValue}&acFlag=true\"},\"walletBrandName\":\"GCash\",\"walletLogo\":{\"logoName\":\"GCASH\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/GCASH.svg\"},\"walletName\":\"GCASH\"},{\"enabled\":true,\"redirectionInfo\":{\"appIdentifier\":\"my.com.tngdigital.ewallet\",\"applinkUrl\":\"https://m-dev.tngdigital.com.my/s/ac-cashier-intermediate/h5.html?ACCodeValue=${codeValue}\",\"normalUrl\":\"https://cdn.tngdigital.com.my/s/ac-cashier-intermediate/standalone-h5.html?ACCodeValue=${codeValue}\",\"schemeUrl\":\"tngdwallet://client/dl/ACDecode?codeValue=${codeValue}\"},\"walletBrandName\":\"TNG eWallet\",\"walletLogo\":{\"logoName\":\"TNG\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/TNG.svg\"},\"walletName\":\"TNG\"},{\"enabled\":false,\"redirectionInfo\":{\"appIdentifier\":\"th.co.truemoney.wallet\",\"applinkUrl\":\"https://tmn-dev.app.link/gncscanb?codeValue=${codeValue}\",\"normalUrl\":\"https://acm-ccp-web-qa.public-a-cloud1n.ascendmoney.io/ccp-web/prepare?codeValue=${codeValue}\"},\"walletBrandName\":\"TrueMoney Wallet\",\"walletLogo\":{\"logoName\":\"TRUEMONEY\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/TRUEMONEY.svg\"},\"walletName\":\"TRUEMONEY\"},{\"enabled\":false,\"redirectionInfo\":{\"appIdentifier\":\"hk.alipay.wallet\",\"applinkUrl\":\"https://render.alipay.hk/p/w/hk-ulink/?path=/mobile&scheme=alipayhk%3A%2F%2Fplatformapi%2FstartApp%3FappId%3D85200168%26fromSite%3Dapp%26CashierAction%3DtradePay%26orderCode%3D${codeValue}%26paymentRedirectUrl%3Dacmerchant%3A%2F%2Fplatformapi%2Fcashier%3ForderId%3DOt5SyY7ZFtHe8P6r2g2fhq283se2a5vRXlR1dUwf7Pg05iejZDW1pAyFj4wGgN1d%26terminalType%3DAPP\",\"normalUrl\":\"https://render.alipay.com/p/w/ac-fe-adaptor/?ACCodeValue=${codeValue}&paymentMethodType=ALIPAY_HK&ACPaymentRedirectUrl=acmerchant%3A%2F%2Fplatformapi%2Fcashier%3ForderId%3DOt5SyY7ZFtHe8P6r2g2fhq283se2a5vRXlR1dUwf7Pg05iejZDW1pAyFj4wGgN1d&ACAppType=WAP\"},\"walletBrandName\":\"AlipayHK\",\"walletLogo\":{\"logoName\":\"ALIPAY_HK\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/ALIPAY_HK.svg\"},\"walletName\":\"ALIPAY_HK\"}]}";
    public static final String DATA_PATMENT = "{\"codeValue\":\"281666040098ZTo11kHUM8Yej9304Ob0b95F\",\"displayPaymentAmount\":\"1.00\",\"displayPaymentCurrency\":\"MYR\",\"reasonTemplate\":{\"STORE_NOT_SUPPORT\":\"{\\\"en_US\\\":\\\"Not applicable at this store\\\",\\\"th_TH\\\":\\\"\u0e44\u0e21\u0e48\u0e23\u0e2d\u0e07\u0e23\u0e31\u0e1a\u0e2a\u0e33\u0e2b\u0e23\u0e31\u0e1a\u0e23\u0e49\u0e32\u0e19\u0e19\u0e35\u0e49\\\",\\\"zh_CN\\\":\\\"\u4e0d\u9002\u7528\u4e8e\u672c\u5e97\\\",\\\"zh_HK\\\":\\\"\u4e0d\u9069\u7528\u65bc\u672c\u5e97\\\",\\\"fil_PH\\\":\\\"Hindi gaganapin sa tindahan na ito\\\",\\\"id_ID\\\":\\\"Tidak berlaku di toko ini\\\",\\\"ko_KO\\\":\\\"\ubcf8 \uc0c1\uc810\uc5d0 \uc801\uc6a9\ub418\uc9c0 \uc54a\uc2b5\ub2c8\ub2e4\\\",\\\"ms_MY\\\":\\\"Tidak berlaku di kedai ini\\\"}\"},\"wallets\":[{\"enabled\":true,\"promoNames\":[\"{\\\"en_US\\\":\\\"\u82f1\u6587\u6d4b\u8bd5-gcash0000000000000000000000000000000000000000000000\\\",\\\"fil_PH\\\":\\\"\u83f2\u5f8b\u5bbe\u8bed-gcash\\\",\\\"id_ID\\\":\\\"\u5370\u5c3c\u4e0e\\\",\\\"zh_CN\\\":\\\"\u4e2d\u6587\u6d4b\u8bd5-gcash\\\",\\\"th_TH\\\":\\\"\u0e04\u0e39\u0e1b\u0e2d\u0e07\u0e2a\u0e48\u0e27\u0e19\u0e25\u0e14 30 \u0e1a\u0e32\u0e17\\\",\\\"zh_HK\\\":\\\"\u7e41\u9ad4\u6e2c\u8a66\\\",\\\"ko_KR\\\":\\\"\u97e9\u56fd\u8bed\u6d4b\u8bd5\\\",\\\"ms_MY\\\":\\\"\u9a6c\u6765\u8bed\u6d4b\u8bd5\\\"}\"],\"redirectionInfo\":{\"appIdentifier\":\"com.globe.gcash.android\",\"applinkUrl\":\"https://uat.m.gcash.com/gcash-ac-cashier-intermediate-web/h5.html?acCodeValue=${codeValue}&acFlag=true\",\"normalUrl\":\"https://payments.gcash.com/gcash-ac-cashier-intermediate-web/standalone-h5.html?acCodeValue=${codeValue}&acFlag=true\"},\"walletBrandName\":\"GCash\",\"walletLogo\":{\"logoName\":\"GCASH\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/GCASH.png\"},\"walletName\":\"GCASH\"},{\"disableReason\":\"STORE_NOT_SUPPORT\",\"enabled\":false,\"redirectionInfo\":{\"appIdentifier\":\"hk.alipay.wallet\",\"applinkUrl\":\"https://render.alipay.hk/p/w/hk-ulink/?path=/mobile&scheme=alipayhk%3A%2F%2Fplatformapi%2FstartApp%3FappId%3D85200168%26fromSite%3Dapp%26CashierAction%3DtradePay%26orderCode%3D${codeValue}%26paymentRedirectUrl%3Dacmerchant%3A%2F%2Fplatformapi%2Fcashier%3ForderId%3DeGvqCwTD7ObbHFnZo4vnI0ShejvVjtzTAHKdCtlXAB4ZfYVwSaxdpbnw1Jx5LzFr%26terminalType%3DAPP\",\"normalUrl\":\"https://render.alipay.com/p/w/ac-fe-adaptor/?ACCodeValue=${codeValue}&paymentMethodType=ALIPAY_HK&ACPaymentRedirectUrl=acmerchant%3A%2F%2Fplatformapi%2Fcashier%3ForderId%3DeGvqCwTD7ObbHFnZo4vnI0ShejvVjtzTAHKdCtlXAB4ZfYVwSaxdpbnw1Jx5LzFr&ACAppType=WAP\"},\"walletBrandName\":\"AlipayHK\",\"walletLogo\":{\"logoName\":\"ALIPAY_HK\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/ALIPAY_HK.png\"},\"walletName\":\"ALIPAY_HK\"},{\"enabled\":true,\"redirectionInfo\":{\"appIdentifier\":\"my.com.tngdigital.ewallet\",\"applinkUrl\":\"https://m-dev.tngdigital.com.my/s/ac-cashier-intermediate/h5.html?ACCodeValue=${codeValue}\",\"normalUrl\":\"https://cdn.tngdigital.com.my/s/ac-cashier-intermediate/standalone-h5.html?ACCodeValue=${codeValue}\",\"schemeUrl\":\"tngdwallet://client/dl/ACDecode?codeValue=${codeValue}\"},\"walletBrandName\":\"TNG eWallet\",\"walletLogo\":{\"logoName\":\"TNG\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/TNG.png\"},\"walletName\":\"TNG\"},{\"enabled\":true,\"redirectionInfo\":{\"appIdentifier\":\"th.co.truemoney.wallet\",\"applinkUrl\":\"https://tmn-dev.app.link/gncscanb?codeValue=${codeValue}\",\"normalUrl\":\"https://acm-ccp-web-qa.public-a-cloud1n.ascendmoney.io/ccp-web/prepare?codeValue=${codeValue}\"},\"walletBrandName\":\"TrueMoney Wallet\",\"walletLogo\":{\"logoName\":\"TRUEMONEY\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/TRUEMONEY.png\"},\"walletName\":\"TRUEMONEY\"},{\"enabled\":true,\"promoNames\":[\"{\\\"en_US\\\":\\\"\u82f1\u6587\u6d4b\u8bd5-gcash0000000000000000000000000000000000000000000000\\\",\\\"fil_PH\\\":\\\"\u83f2\u5f8b\u5bbe\u8bed-gcash\\\",\\\"id_ID\\\":\\\"\u5370\u5c3c\u4e0e\\\",\\\"zh_CN\\\":\\\"\u4e2d\u6587\u6d4b\u8bd5-gcash\\\",\\\"th_TH\\\":\\\"\u0e04\u0e39\u0e1b\u0e2d\u0e07\u0e2a\u0e48\u0e27\u0e19\u0e25\u0e14 30 \u0e1a\u0e32\u0e17\\\",\\\"zh_HK\\\":\\\"\u7e41\u9ad4\u6e2c\u8a66\\\",\\\"ko_KR\\\":\\\"\u97e9\u56fd\u8bed\u6d4b\u8bd5\\\",\\\"ms_MY\\\":\\\"\u9a6c\u6765\u8bed\u6d4b\u8bd5\\\"}\"],\"redirectionInfo\":{\"appIdentifier\":\"com.globe.gcash.android\",\"applinkUrl\":\"https://uat.m.gcash.com/gcash-ac-cashier-intermediate-web/h5.html?acCodeValue=${codeValue}&acFlag=true\",\"normalUrl\":\"https://payments.gcash.com/gcash-ac-cashier-intermediate-web/standalone-h5.html?acCodeValue=${codeValue}&acFlag=true\"},\"walletBrandName\":\"GCash\",\"walletLogo\":{\"logoName\":\"GCASH\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/GCASH.png\"},\"walletName\":\"GCASH\"},{\"disableReason\":\"STORE_NOT_SUPPORT\",\"enabled\":false,\"redirectionInfo\":{\"appIdentifier\":\"hk.alipay.wallet\",\"applinkUrl\":\"https://render.alipay.hk/p/w/hk-ulink/?path=/mobile&scheme=alipayhk%3A%2F%2Fplatformapi%2FstartApp%3FappId%3D85200168%26fromSite%3Dapp%26CashierAction%3DtradePay%26orderCode%3D${codeValue}%26paymentRedirectUrl%3Dacmerchant%3A%2F%2Fplatformapi%2Fcashier%3ForderId%3DeGvqCwTD7ObbHFnZo4vnI0ShejvVjtzTAHKdCtlXAB4ZfYVwSaxdpbnw1Jx5LzFr%26terminalType%3DAPP\",\"normalUrl\":\"https://render.alipay.com/p/w/ac-fe-adaptor/?ACCodeValue=${codeValue}&paymentMethodType=ALIPAY_HK&ACPaymentRedirectUrl=acmerchant%3A%2F%2Fplatformapi%2Fcashier%3ForderId%3DeGvqCwTD7ObbHFnZo4vnI0ShejvVjtzTAHKdCtlXAB4ZfYVwSaxdpbnw1Jx5LzFr&ACAppType=WAP\"},\"walletBrandName\":\"AlipayHK\",\"walletLogo\":{\"logoName\":\"ALIPAY_HK\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/ALIPAY_HK.png\"},\"walletName\":\"ALIPAY_HK\"},{\"enabled\":true,\"redirectionInfo\":{\"appIdentifier\":\"my.com.tngdigital.ewallet\",\"applinkUrl\":\"https://m-dev.tngdigital.com.my/s/ac-cashier-intermediate/h5.html?ACCodeValue=${codeValue}\",\"normalUrl\":\"https://cdn.tngdigital.com.my/s/ac-cashier-intermediate/standalone-h5.html?ACCodeValue=${codeValue}\",\"schemeUrl\":\"tngdwallet://client/dl/ACDecode?codeValue=${codeValue}\"},\"walletBrandName\":\"TNG eWallet\",\"walletLogo\":{\"logoName\":\"TNG\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/TNG.png\"},\"walletName\":\"TNG\"},{\"enabled\":true,\"redirectionInfo\":{\"appIdentifier\":\"th.co.truemoney.wallet\",\"applinkUrl\":\"https://tmn-dev.app.link/gncscanb?codeValue=${codeValue}\",\"normalUrl\":\"https://acm-ccp-web-qa.public-a-cloud1n.ascendmoney.io/ccp-web/prepare?codeValue=${codeValue}\"},\"walletBrandName\":\"TrueMoney Wallet\",\"walletLogo\":{\"logoName\":\"TRUEMONEY\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/TRUEMONEY.png\"},\"walletName\":\"TRUEMONEY\"}]}";
    //public static final String DATA_PATMENT = "{\"displayPaymentCurrency\":\"USD\",\"wallets\":[{\"redirectionInfo\":{\"applinkUrl\":\"https://uat.m.gcash.com/gcash-ac-cashier-intermediate-web/h5.html?acCodeValue=${codeValue}&acFlag=true\",\"normalUrl\":\"https://payments.gcash.com/gcash-ac-cashier-intermediate-web/standalone-h5.html?acCodeValue=${codeValue}&acFlag=true\"},\"walletLogo\":{\"logoName\":\"GCASH\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/GCASH.png\"},\"walletName\":\"GCASH\",\"walletBrandName\":\"GCash\",\"enabled\":true,\"searchKeywords\":[\"G Cash\",\"Cash\"],\"promoNames\":[\"{\\\"en_US\\\":\\\"英文测试-gcash\\\",\\\"fil_PH\\\":\\\"菲律宾语-gcash\\\",\\\"id_ID\\\":\\\"印尼与\\\",\\\"zh_CN\\\":\\\"中文测试-gcash\\\"}\"]},{\"redirectionInfo\":{\"applinkUrl\":\"https://render.alipay.hk/p/w/hk-ulink/?path=/mobile&scheme=alipayhk%3A%2F%2Fplatformapi%2FstartApp%3FappId%3D85200168%26fromSite%3Dapp%26CashierAction%3DtradePay%26orderCode%3D${codeValue}%26paymentRedirectUrl%3Dacmerchant%3A%2F%2Fplatformapi%2Fcashier%3ForderId%3DeYaPTTw2s4HpgBYmqk3o2FMYahA9sEKakx4tfbPLucOh2H4LWsf13uVgCwloe9tc%26terminalType%3DAPP\",\"normalUrl\":\"https://render.alipay.com/p/w/ac-fe-adaptor/?ACCodeValue=${codeValue}&paymentMethodType=ALIPAY_HK&ACPaymentRedirectUrl=acmerchant%3A%2F%2Fplatformapi%2Fcashier%3ForderId%3DeYaPTTw2s4HpgBYmqk3o2FMYahA9sEKakx4tfbPLucOh2H4LWsf13uVgCwloe9tc&ACAppType=WAP\"},\"walletLogo\":{\"logoName\":\"ALIPAY_HK\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/ALIPAY_HK.png\"},\"walletName\":\"ALIPAY_HK\",\"walletBrandName\":\"AlipayHK\",\"enabled\":true,\"searchKeywords\":[\"支付寶（香港）\",\"支付寶(香港)\",\"支付寶香港\",\"支付宝（香港）\",\"支付宝(香港)\",\"支付宝香港\",\"香港\",\"HK\"],\"promoNames\":[\"{\\\"en_US\\\":\\\"英文测试-alipayhk\\\",\\\"fil_PH\\\":\\\"菲律宾语-alipayhk\\\",\\\"id_ID\\\":\\\"长字段长字段长字段长字段长字段长字段长字段长字段长字段长字段长字段长字段长字段\\\",\\\"zh_CN\\\":\\\"中文测试-alipayhk\\\"}\"]},{\"redirectionInfo\":{\"applinkUrl\":\"https://m-dev.tngdigital.com.my/s/ac-cashier-intermediate/h5.html?ACCodeValue=${codeValue}\",\"normalUrl\":\"https://cdn.tngdigital.com.my/s/ac-cashier-intermediate/standalone-h5.html?ACCodeValue=${codeValue}\",\"schemeUrl\":\"tngdwallet://client/dl/ACDecode?codeValue=${codeValue}\"},\"walletLogo\":{\"logoName\":\"TNG\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/TNG.png\"},\"walletName\":\"TNG\",\"walletBrandName\":\"TNG eWallet\",\"searchKeywords\":[\"TNG eWallet\",\"TNG\",\"Go\",\"Touch\",\"Touch and Go eWallet\",\"Touch and Go\",\"Touch 'n Go\"],\"enabled\":true},{\"redirectionInfo\":{\"applinkUrl\":\"https://tmn-dev.app.link/gncscanb?codeValue=${codeValue}\",\"normalUrl\":\"https://acm-ccp-web-qa.public-a-cloud1n.ascendmoney.io/ccp-web/prepare?codeValue=${codeValue}\"},\"walletLogo\":{\"logoName\":\"TRUEMONEY\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/TRUEMONEY.png\"},\"walletName\":\"TRUEMONEY\",\"walletBrandName\":\"TrueMoney Wallet\",\"searchKeywords\":[\"TrueMoney\",\"ทรูมันนี่ วอลเล็ท\",\"Money\",\"True\"],\"enabled\":true}],\"displayPaymentAmount\":\"10.00\",\"codeValue\":\"281666040099gUpb0bs6Q9gVAK6HaSH1kYKy\"}";
    public static final String DATA_OPTION = "{\"paymentMethodType\":\"CONNECT_WALLET\",\"enabled\":true,\"logos\":{\"USD\":[{\"logoName\":\"AlipayPlus\",\"logoUrl\":\"https://cdn.marmot-cloud.com/storage/aplus-checkout-prod/icon/prod/CONNECT_WALLET1.png\",\"logoPattern\":\"M1-large-PC\",\"logoWidth\":\"640\",\"logoHeight\":\"320\"},{\"logoName\":\"AlipayPlus\",\"logoUrl\":\"https://cdn.marmot-cloud.com/storage/aplus-checkout-prod/icon/prod/CONNECT_WALLET2.png\",\"logoPattern\":\"M2-small-WAP\",\"logoWidth\":\"640\",\"logoHeight\":\"320\"},{\"logoName\":\"AlipayPlus\",\"logoUrl\":\"https://cdn.marmot-cloud.com/storage/aplus-checkout-prod/icon/prod/CONNECT_WALLET3.png\",\"logoPattern\":\"M3-small-WAP\",\"logoWidth\":\"640\",\"logoHeight\":\"320\"}],\"HKD\":[{\"logoName\":\"AlipayPlus\",\"logoUrl\":\"https://cdn.marmot-cloud.com/storage/aplus-checkout-prod/icon/prod/CONNECT_WALLET1.png\",\"logoPattern\":\"M1-large-PC\",\"logoWidth\":\"640\",\"logoHeight\":\"320\"}],\"DEFAULT\":[{\"logoName\":\"AlipayPlus\",\"logoUrl\":\"https://cdn.marmot-cloud.com/storage/aplus-checkout-prod/icon/prod/CONNECT_WALLET1.png\",\"logoPattern\":\"M1-large-PC\",\"logoWidth\":\"640\",\"logoHeight\":\"320\"}]},\"promoNames\":[\"{\\\"en_US\\\":\\\"A+统一收银台UAT-GCASH2\\\",\\\"zh_CN\\\":\\\"A+统一收银台UAT-GCASH2\\\"}\"],\"brandName\":\"Alipay+\",\"supportedPaymentCurrencies\":[\"AUD\",\"USD\",\"CAD\",\"CNY\",\"EUR\",\"GBP\",\"HKD\",\"JPY\",\"MYR\",\"SGD\",\"THB\",\"KRW\",\"NZD\",\"AED\",\"CHF\",\"DKK\",\"NOK\",\"SEK\"]}";
    public static final String DATA_T = "{\"codeValue\":\"281666040091k6EZ6HaBn31tj96IxMo2tU1T\",\"displayPaymentAmount\":\"49.00\",\"displayPaymentCurrency\":\"PHP\",\"wallets\":[{\"enabled\":true,\"redirectionInfo\":{\"appIdentifier\":\"com.globe.gcash.android\",\"applinkUrl\":\"https://payments.gcash.com/gcash-ac-cashier-intermediate-web/h5.html?acCodeValue=${codeValue}&acFlag=true\",\"normalUrl\":\"https://payments.gcash.com/gcash-ac-cashier-intermediate-web/standalone-h5.html?acCodeValue=${codeValue}&acFlag=true\"},\"walletBrandName\":\"GCash\",\"walletLogo\":{\"logoName\":\"GCASH\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/GCASH.png\"},\"walletName\":\"GCASH\"},{\"enabled\":true,\"redirectionInfo\":{\"appIdentifier\":\"\",\"normalUrl\":\"https://open-sea.alipayplus.com/api/open/v1/ac/cashier/self/codevalue/checkout.htm?codeValue=${codeValue}&siteId=2010BOPI00000000&cashierType=OTP_CASHIER_PAYMENT\"},\"walletBrandName\":\"BPI\",\"walletLogo\":{\"logoName\":\"BPI\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/BPI.png\"},\"walletName\":\"BPI\"}]}";
    public static final String DATA_ALIPAY = "{\"codeValue\":\"28166604009zUrcx30Euv2r7qS0cQvsv31uA\",\"displayPaymentAmount\":\"10.00\",\"displayPaymentCurrency\":\"CNY\",\"wallets\":[{\"enabled\":true,\"redirectionInfo\":{\"normalUrl\":\"http://openapi.stable.alipay.net/gateway.do?app_auth_token=202208BB_D6f41b32d704d5787e3f10f45d81C53&app_id=2021000193677223&biz_content=%7B%22extend_params%22%3A%7B%22alipayPlusFeeAmount%22%3A%2266.00%22%2C%22chargeModeAlipayPlus%22%3A%22APPOINT_CHARGE_AMOUNT%22%2C%22check_pms%22%3A%22F%22%2C%22check_trade_info%22%3A%22F%22%2C%22clearingInstId%22%3A%22BOCHK00288CNY%22%2C%22external_site_id%22%3A%22A071231400000000%22%2C%22org_pid%22%3A%222088401711454533%22%2C%22settle_amount%22%3A%2210.00%22%7D%2C%22merchant_order_no%22%3A%22OrderID_01010101011%22%2C%22out_trade_no%22%3A%222023020119074101000550006364526%22%2C%22product_code%22%3A%22NEW_WAP_OVERSEAS_SELLER%22%2C%22settle_currency%22%3A%22CNY%22%2C%22sub_merchant%22%3A%7B%22category_id%22%3A%221799%22%2C%22merchant_eng_name%22%3A%22UGG%22%2C%22merchant_id%22%3A%22123456789%22%2C%22merchant_name%22%3A%22UGG%22%2C%22merchant_type%22%3A%22merchant%22%7D%2C%22subject%22%3A%22SHOES%22%2C%22timeout_express%22%3A%2210m%22%2C%22total_amount%22%3A%2210.00%22%2C%22trans_currency%22%3A%22CNY%22%7D&charset=UTF-8&method=alipay.trade.wap.pay&return_url=https%3A%2F%2Fwww.baidu.com&sign=EoQg4jLsArVTI8cAO5hA4CnIozu%2BoYC%2Fz3aqXGiCpHAg9kwpMEvicJSb0yK2j4O%2FEtZwDTQBV61CN%2BZzgdv%2FNzqNvd88TLmYcQP%2FaPDjUZeq1RRJPMjPD1%2Ff5dm6OmusMGcmcWthXlXr3P4Ay%2BCjBLonatWA43YODPWZTopSunvhRL7bQcssNWt8m5gFuEL9%2F%2F0Sfa3oV%2BLFTrN5Gt9j%2BM9gCEA7nXAoUVONjWJJ50oPyMEfzc8qvVdig%2FBh%2Bv5MuMJXWaE%2BzISVLNbHpYoLnbBqM6nJQg1JtJ4BSKruzFYs3zBMSH9dIi5SW%2BECZc3ylfdf6nh9HYV8w3nsPHP%2FDw%3D%3D&sign_type=RSA2&timestamp=2023-02-01%2022%3A40%3A05&version=1.0\",\"orderInfo\":\"app_auth_token=202208BB_D6f41b32d704d5787e3f10f45d81C53&app_id=2021000193677223&biz_content=%7B%22extend_params%22%3A%7B%22alipayPlusFeeAmount%22%3A%2266.00%22%2C%22chargeModeAlipayPlus%22%3A%22APPOINT_CHARGE_AMOUNT%22%2C%22check_pms%22%3A%22F%22%2C%22check_trade_info%22%3A%22F%22%2C%22clearingInstId%22%3A%22BOCHK00288CNY%22%2C%22external_site_id%22%3A%22A071231400000000%22%2C%22org_pid%22%3A%222088401711454533%22%2C%22settle_amount%22%3A%2210.00%22%7D%2C%22merchant_order_no%22%3A%22OrderID_01010101011%22%2C%22out_trade_no%22%3A%222023020119074101000550006364526%22%2C%22product_code%22%3A%22NEW_WAP_OVERSEAS_SELLER%22%2C%22settle_currency%22%3A%22CNY%22%2C%22sub_merchant%22%3A%7B%22category_id%22%3A%221799%22%2C%22merchant_eng_name%22%3A%22UGG%22%2C%22merchant_id%22%3A%22123456789%22%2C%22merchant_name%22%3A%22UGG%22%2C%22merchant_type%22%3A%22merchant%22%7D%2C%22subject%22%3A%22SHOES%22%2C%22timeout_express%22%3A%2210m%22%2C%22total_amount%22%3A%2210.00%22%2C%22trans_currency%22%3A%22CNY%22%7D&charset=UTF-8&method=alipay.trade.app.pay&sign=ZM1xbCUpy3BS%2BqGEhrKZSrZG3h%2FzGmGGm2RoQ8ASTsb%2B57aGK9xQXeoMfUS4FXjCskyh08WrHHUqf127I5SMYbWYxHuwUEzk8dAPb%2F3G%2FIIunjHZXoEPisehbchLSyiBKqFT8asiG9W68Ot1ziDC9mt5YIUpufAyIBk4Q5dfnZqmwB6RweeXSsWsD5HqGi7gbaInNVZKgr3Q8tBhztKx4VAYK%2FQkrVQVAvgqWOzvibvGgk2yHbS%2BbTBDA6FoB%2Btp8xpBV6WdMwpaP%2B6YomOk2ltakasugiMkp56jM4Vy%2BgvIxiXJv02KLyJeoAGqgDAKnx5Cmx3hDS1eez9lr8G31g%3D%3D&sign_type=RSA2&timestamp=2023-02-01%2022%3A40%3A05&version=1.0\"},\"walletBrandName\":\"Alipay\",\"walletLogo\":{\"logoName\":\"ALIPAY_CN\",\"logoUrl\":\"https://gw.alipay.com/icon/large/rectangle/ALIPAY_CN.png\"},\"walletName\":\"ALIPAY_CN\"}]}";
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        //AppCompatDelegate.setDefaultNightMode(AppCompatDelegate.MODE_NIGHT_YES);
        setContentView(R.layout.activity_main);
        TextView settingView = findViewById(R.id.tv_setting);

        EditText dataView = findViewById(R.id.et_data);

        IAPConfiguration configuration = new IAPConfiguration();
        configuration.acquirerId = "A071231400000000";
        configuration.merchantId = "UNIFIED_dev_00001";
        AlipayPlusClient.setConfiguration(configuration);

        settingView.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
               /* Intent intent = new Intent(MainActivity.this, ProcessTestActivity.class);
                startActivity(intent);*/
                IAPPaymentOption option = new IAPPaymentOption();
            }
        });
        TextView view = findViewById(R.id.tv_sheet);
        view.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                String data = dataView.getText().toString();
                if (TextUtils.isEmpty(data)) {
                    Toast.makeText(MainActivity.this, "请输入paymentData", Toast.LENGTH_SHORT).show();
                    return;
                }
                AlipayPlusClient.showPaymentSheet(MainActivity.this, data, new IAPPaymentSheetEventCallback<IAPPaymentSheetEvent>() {
                    @Override
                    public void onSheetEvent(IAPPaymentSheetEvent event) {
                        //Util.toast(MainActivity.this, event.name);
                        Util.toast(MainActivity.this, event.name);
                        Log.e("ceshi", event.name);
                    }
                });
               /* AlipayPlusClient.showPaymentSheet(MainActivity.this, DATA_PATMENT, new IAPPaymentSheetEventCallback<IAPPaymentSheetEvent>() {
                    @Override
                    public void onSheetEvent(IAPPaymentSheetEvent event) {
                        //Util.toast(MainActivity.this, event.name);
                    }
                });*/
            }
        });
        TextView query = findViewById(R.id.tv_query);
        query.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                SharedPreferenceManager.getInstance(MainActivity.this).save("sandbox_env", "SANDBOX_DEV");
                IAPInquirePaymentOptionParams params = new IAPInquirePaymentOptionParams();
                params.paymentCurrency = "USD";
                //params.logoPattern = "P2-APP-01";
                AlipayPlusClient.inquirePaymentOption(MainActivity.this, params, new IAPInquirePaymentCallback<IAPPaymentOption>() {
                    @Override
                    public void onSuccess(IAPPaymentOption result) {
                    }

                    @Override
                    public void onFailure(String errorCode, String errorMessage) {
                    }
                });
                /*JSONObject object = null;
                try {
                    object = new JSONObject(DATA_OPTION);
                } catch (JSONException e) {
                    e.printStackTrace();
                }
                IAPPaymentOption iapPaymentOption = IAPPaymentOption.initIAPPaymentOption(MainActivity.this, object, "USD");
                Log.e("Mainactivity", "enable:" + iapPaymentOption.enabled + "   " + iapPaymentOption.disableReason);*/
             }
        });

    }


}