package com.iap.basic.alipay.async;

import androidx.annotation.Nullable;

/**
 * Use this task to monitory a task execution of a service and returns progress when task executing.
 * You can try to cancel this task when it is executing.
 *
 */
public interface IAPAsyncCallback<T> {

    /**
     * This method is invoked when server return normal result.
     *
     * @param result T generic class
     * @since v1.0
     */
    void onSuccess(@Nullable T result);

    /**
     * This method is invoked when a async task happened any error or exception.
     *
     * @param error
     * @since v1.0
     */
    void onFailure(Exception error);
}
