package com.iap.basic.alipay.async;

import java.util.concurrent.Executor;

public interface PipeLine {

    /**
     * Set Executor
     *
     * @param executor Executor
     */
    void setExecutor(Executor executor);

    /**
     * Add a task into the StandardPipeline.
     * @param task          The Task.
     * @param threadName    ThreadName.
     */
    void addTask(Runnable task, String threadName);

    /**
     * Add a task into the StandardPipeline.
     * @param task          The Task.
     * @param threadName    ThreadName.
     * @param weight        The task's weight
     */
    void addTask(Runnable task, String threadName, int weight);

    /**
     * Start to execute
     */
    void start();

    /**
     * Stop to execute
     */
    void stop();
}