package com.iap.basic.alipay.http.core;

import com.iap.basic.alipay.http.model.HttpRequest;
import com.iap.basic.alipay.http.model.HttpResponse;

import java.util.List;

/**
 * @author mazhou.mazhou
 * @date 2020/7/22
 */
public class HttpInterceptorChain implements HttpInterceptor.Chain{

    private final List<HttpInterceptor> interceptors;
    private final int index;
    private final HttpRequest request;
    private final Call call;

    public HttpInterceptorChain(List<HttpInterceptor> interceptors, int index, HttpRequest request, Call call) {
        this.interceptors = interceptors;
        this.index = index;
        this.request = request;
        this.call = call;
    }

    @Override
    public HttpRequest request() {
        return request;
    }

    @Override
    public HttpResponse proceed(HttpRequest request) throws Exception {
        // This is a simple implementation of interception.
        if (index >= interceptors.size()) {
            return call.call();
        }
        // Call the next interceptor in the chain.
        HttpInterceptor.Chain next = new HttpInterceptorChain(interceptors, index + 1, request, call);
        HttpInterceptor interceptor = interceptors.get(index);
        return interceptor.intercept(next);
    }
}
