package com.iap.basic.alipay.http.core;

import com.iap.basic.alipay.http.model.HttpRequest;
import com.iap.basic.alipay.http.model.HttpResponse;

import java.util.List;

public class RealCall<T> implements Call {
    final HttpClient client;
    final HttpRequest request;
    final List<HttpInterceptor> interceptors;

    private RealCall(HttpClient client, HttpRequest originalRequest, List<HttpInterceptor> interceptors) {
        this.client = client;
        this.request = originalRequest;
        this.interceptors = interceptors;
    }

    static Call newRealCall(HttpClient httpClient, HttpRequest request, List<HttpInterceptor> interceptors) {
        return new RealCall(httpClient, request, interceptors);
    }

    @Override
    public HttpResponse execute() throws Exception {
        HttpInterceptor.Chain chain = new HttpInterceptorChain(interceptors, 0, request, this);
        return chain.proceed(request);
    }

    @Override
    public HttpResponse call() throws Exception {
        return client.executed(this);
    }
}
