package com.iap.basic.alipay.http.model;

import androidx.annotation.Nullable;

import java.io.Serializable;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

public class HttpResponse implements Serializable {
    public final int statusCode;
    @Nullable
    public final String statusMessage;
    @Nullable
    public final byte[] data;
    @Nullable
    public final Map<String, List<String>> headers;

    public HttpResponse(int statusCode, @Nullable String statusMessage, @Nullable byte[] data, @Nullable Map<String, List<String>> headers) {
        this.statusCode = statusCode;
        this.statusMessage = statusMessage;
        this.data = data;
        this.headers = headers;
    }

    @Nullable
    private String getDataString() {
        if (this.data == null) {
            return null;
        } else {
            try {
                return new String(this.data);
            } catch (Exception var2) {
                return Arrays.toString(this.data);
            }
        }
    }

    @Override
    public String toString() {
        return "HttpResponse{" +
                "statusCode=" + statusCode +
                ", statusMessage='" + statusMessage + '\'' +
                ", data=" + Arrays.toString(data) +
                ", headers=" + headers +
                '}';
    }
}

