package com.iap.basic.alipay.utils;

import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;
import android.util.Log;

/**
 * @author chenjian.chenjian
 * @date 2019-12-28
 */
public class NetworkUtils {

    private static final String TAG = "NetworkUtils";
    public static boolean isNetworkAvailable(Context context) {
        boolean isNetworkAvailable = false;
        try {
            ConnectivityManager connectivity = (ConnectivityManager) (context
                .getSystemService(Context.CONNECTIVITY_SERVICE));
            NetworkInfo[] networkInfos = connectivity.getAllNetworkInfo();
            if (networkInfos == null) {
                return false;
            }

            for (NetworkInfo itemInfo : networkInfos) {
                if (itemInfo != null && itemInfo.isAvailable() && itemInfo.isConnectedOrConnecting()) {
                    isNetworkAvailable = true;
                    break;
                }
            }
            return isNetworkAvailable;
        } catch (Throwable e) {
            Log.e(TAG, "" + e.getMessage());
        }
        return false;
    }
}
