package com.iap.cashier.data.inner;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * Author kanguihu
 * Data   2022/3/13
 * Desc
 */
public class PaymentData implements Serializable {

    private String codeValue;
    private String displayPaymentAmount;
    private String displayPaymentCurrency;
    private List<Wallet> wallets;
    private Map<String, String> reasonTemplate;
    public void setCodeValue(String codeValue) {
        this.codeValue = codeValue;
    }
    public String getCodeValue() {
        return codeValue;
    }

    public void setDisplayPaymentAmount(String displayPaymentAmount) {
        this.displayPaymentAmount = displayPaymentAmount;
    }
    public String getDisplayPaymentAmount() {
        return displayPaymentAmount;
    }

    public void setDisplayPaymentCurrency(String displayPaymentCurrency) {
        this.displayPaymentCurrency = displayPaymentCurrency;
    }
    public String getDisplayPaymentCurrency() {
        return displayPaymentCurrency;
    }

    public void setWallets(List<Wallet> wallets) {
        this.wallets = wallets;
    }
    public List<Wallet> getWallets() {
        return wallets;
    }

    public void setReasonTemplate(Map<String, String> reasonTemplate) {
        this.reasonTemplate = reasonTemplate;
    }

    public Map<String, String> getReasonTemplate() {
        return reasonTemplate;
    }

    public static class Wallet implements Serializable{

        private boolean enabled;
        private String disableReason;
        private WalletLogo walletLogo;
        private List<String> promoNames;
        private RedirectionInfo redirectionInfo;
        private List<String> searchKeywords;
        private String walletBrandName;
        private String walletName;
        public void setEnabled(boolean enabled) {
            this.enabled = enabled;
        }
        public boolean getEnabled() {
            return enabled;
        }

        public void setWalletLogo(WalletLogo walletLogo) {
            this.walletLogo = walletLogo;
        }
        public WalletLogo getWalletLogo() {
            return walletLogo;
        }

        public void setPromoNames(List<String> promoNames) {
            this.promoNames = promoNames;
        }
        public List<String> getPromoNames() {
            return promoNames;
        }

        public void setRedirectionInfo(RedirectionInfo redirectionInfo) {
            this.redirectionInfo = redirectionInfo;
        }
        public RedirectionInfo getRedirectionInfo() {
            return redirectionInfo;
        }

        public void setSearchKeywords(List<String> searchKeywords) {
            this.searchKeywords = searchKeywords;
        }
        public List<String> getSearchKeywords() {
            return searchKeywords;
        }

        public void setWalletBrandName(String walletBrandName) {
            this.walletBrandName = walletBrandName;
        }
        public String getWalletBrandName() {
            return walletBrandName;
        }

        public String getWalletName() {
            return walletName;
        }

        public void setWalletName(String walletName) {
            this.walletName = walletName;
        }

        public String getDisableReason() {
            return disableReason;
        }

        public void setDisableReason(String disableReason) {
            this.disableReason = disableReason;
        }
    }

    public static class RedirectionInfo implements Serializable{

        private String appIdentifier;
        private String applinkUrl;
        private String normalUrl;
        private String schemeUrl;
        private String orderInfo;
        public void setAppIdentifier(String appIdentifier) {
            this.appIdentifier = appIdentifier;
        }
        public String getAppIdentifier() {
            return appIdentifier;
        }

        public void setApplinkUrl(String applinkUrl) {
            this.applinkUrl = applinkUrl;
        }
        public String getApplinkUrl() {
            return applinkUrl;
        }

        public void setNormalUrl(String normalUrl) {
            this.normalUrl = normalUrl;
        }
        public String getNormalUrl() {
            return normalUrl;
        }

        public void setSchemeUrl(String schemeUrl) {
            this.schemeUrl = schemeUrl;
        }
        public String getSchemeUrl() {
            return schemeUrl;
        }

        public String getOrderInfo() {
            return orderInfo;
        }

        public void setOrderInfo(String orderInfo) {
            this.orderInfo = orderInfo;
        }
    }
    public static class WalletLogo implements Serializable{

        private String logoName;
        private String logoUrl;
        public void setLogoName(String logoName) {
            this.logoName = logoName;
        }
        public String getLogoName() {
            return logoName;
        }

        public void setLogoUrl(String logoUrl) {
            this.logoUrl = logoUrl;
        }
        public String getLogoUrl() {
            return logoUrl;
        }

    }


}
