package com.iap.cashier.data.inner;

import android.text.TextUtils;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * Author kanguihu
 * Data   2022/3/7
 * Desc
 */
public class PaymentOption implements Serializable{

    /**
     * ndicates whether the Alipay+ payment method is available.
     */
    public boolean enabled;

    /**
     * The brand name of the Alipay+ payment method.
     * Note: Nullable if the value of the enabled parameter is false.
     */
    public String brandName;

    /**
     * The reason why the Alipay+ payment method is unavailable.
     * Note: The value of this parameter is null if the value of the enabled parameter is true.
     */
    public String disableReason;
    /**
     * The payment method that is provided by Alipay+.
     * Valid values are:
     * CONNECT_WALLET: indicates the Alipay+ payment method.
     */
    public String paymentMethodType;

    /**
     * he promotion information that is to be displayed.
     */
    public List<String> promoNames;


    public List<Logo> logos;


    public static class  Logo implements Serializable {

        public String logoName;
        public String logoUrl;
        public String logoPattern;
        public String logoWidth;
        public String logoHeight;

    }

    public boolean isInvalid() {
        return TextUtils.isEmpty(brandName)
                && TextUtils.isEmpty(disableReason)
                && TextUtils.isEmpty(paymentMethodType)
                && promoNames == null;
    }

}
