package com.iap.cashier.data.model;

import android.content.Context;

import com.iap.cashier.utils.JSONConfig;

import org.json.JSONObject;

import java.io.Serializable;
import java.util.List;

/**
 * Author kanguihu
 * Data   2022/3/7
 * Desc
 */
public class IAPPaymentOption implements Serializable{

    /**
     * ndicates whether the Alipay+ payment method is available.
     */
    public boolean enabled;

    /**
     * The brand name of the Alipay+ payment method.
     * Note: Nullable if the value of the enabled parameter is false.
     */
    public String brandName;

    /**
     * The reason why the Alipay+ payment method is unavailable.
     * Note: The value of this parameter is null if the value of the enabled parameter is true.
     */
    public String disableReason;
    /**
     * The payment method that is provided by Alipay+.
     * Valid values are:
     * CONNECT_WALLET: indicates the Alipay+ payment method.
     */
    public String paymentMethodType;

    /**
     * he promotion information that is to be displayed.
     */
    public List<String> promoNames;

    public List<Logo> logos;


    public static class  Logo implements Serializable {

        public String logoName;
        public String logoUrl;
        public String logoPattern;
        public String logoWidth;
        public String logoHeight;

    }

    public static IAPPaymentOption initIAPPaymentOption(Context context, JSONObject data) {
        return JSONConfig.convert2IAPPaymentOption(context, data);
    }

    @Override
    public String toString() {
        return "IAPPaymentOption{" +
                "enabled=" + enabled +
                ", brandName='" + brandName + '\'' +
                ", disableReason='" + disableReason + '\'' +
                ", paymentMethodType='" + paymentMethodType + '\'' +
                ", promoNames=" + promoNames +
                '}';
    }
}
