/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap;

import com.alipay.ap.cfg.APSSettings;
import com.alipay.ap.net.APSClient;
import com.alipay.ap.net.DefaultApacheHttpPostAPSClient;
import com.alipay.ap.receive.APSHttpReceiveListener;
import com.alipay.ap.receive.DefaultAPSHttpReceiveListener;

/**
 * 
 * @author mulin.xl
 * @version $Id: DefaultAPS.java, v 0.1 2022‐07‐01 14:22 mulin.xl Exp $$
 */
public class DefaultAPS {

    /** ap settings **/
    private APSSettings            apsSettings;

    /** ap client **/
    private APSClient              apsClient;

    /** ap receive listener **/
    private APSHttpReceiveListener apsHttpReceiveListener;

    /** singleton instance **/
    private static DefaultAPS      instance = new DefaultAPS();

    /** private construction **/
    private DefaultAPS() {

        apsSettings = new APSSettings();
        apsClient = new DefaultApacheHttpPostAPSClient(apsSettings);
        apsHttpReceiveListener = new DefaultAPSHttpReceiveListener(apsSettings);
    }

    /**
     * Getter method for property instance.
     *
     * @return property value of instance
     */
    public static DefaultAPS getInstance() {
        return instance;
    }

    /**
     * Getter method for property apsClient.
     *
     * @return property value of apsClient
     */
    public APSClient getApsClient() {
        return apsClient;
    }

    /**
     * Setter method for property apsClient.
     *
     * @param apsClient value to be assigned to property apsClient
     */
    public void setApsClient(APSClient apsClient) {
        this.apsClient = apsClient;
    }

    /**
     * Getter method for property apsHttpReceiveListener.
     *
     * @return property value of apsHttpReceiveListener
     */
    public APSHttpReceiveListener getApsHttpReceiveListener() {
        return apsHttpReceiveListener;
    }

    /**
     * Setter method for property apsHttpReceiveListener.
     *
     * @param apsHttpReceiveListener value to be assigned to property apsHttpReceiveListener
     */
    public void setApsHttpReceiveListener(APSHttpReceiveListener apsHttpReceiveListener) {
        this.apsHttpReceiveListener = apsHttpReceiveListener;
    }

    /**
     * Getter method for property apsSettings.
     * 
     * @return property value of apsSettings
     */
    public APSSettings getApsSettings() {
        return apsSettings;
    }

    /**
     * Setter method for property apsSettings.
     * 
     * @param apsSettings
     */
    public void setApsSettings(APSSettings apsSettings) {
        this.apsSettings = apsSettings;
    }
}