/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.callbacks;

import com.alipay.ap.response.HttpReceiveResponse;
import com.alipay.ap.model.HttpReceive;

/**
 * The base class {@code HttpReceiveCallback} and its subclasses are used to handle the request from A+
 *
 * @author mulin.xl
 * @version $Id: HttpReceiveCallback.java, v 0.1 2022‐07‐13 11:56 mulin.xl Exp $$
 */
public abstract class HttpReceiveCallback {

    /**
     * Receive and process requests sent by A+
     * @param httpReceive
     * @return
     * @throws Exception
     */
    public abstract HttpReceiveResponse doProcess(HttpReceive httpReceive) throws Exception;
}