/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.exception;

/**
 * alipay api exception
 *
 * @author wangpeng
 * @version $Id: AlipayPlusApiException.java, v 0.1 2022‐06-21 11:09 wangpeng Exp $
 */
public class AlipayPlusApiException extends Exception {

    /** serialVersionUID */
    private static final long serialVersionUID = 6341441272448887609L;

    /** code **/
    int                       code             = 0;

    /** error code **/
    private String            errCode;

    /** error message **/
    private String            errMsg;

    /**
     * default construction
     */
    public AlipayPlusApiException() {
        super();
    }

    /**
     * construction
     * @param message exception message
     * @param cause {@link Throwable}
     */
    public AlipayPlusApiException(String message, Throwable cause) {
        super(message, cause);
    }

    /**
     * construction
     * @param message exception message
     */
    public AlipayPlusApiException(String message) {
        super(message);
    }

    /**
     * construction
     * @param cause {@link Throwable}
     */
    public AlipayPlusApiException(Throwable cause) {
        super(cause);
    }

    /**
     * construction
     * @param errCode error code
     * @param errMsg error message
     */
    public AlipayPlusApiException(String errCode, String errMsg) {
        super(errCode + ":" + errMsg);
        this.errCode = errCode;
        this.errMsg = errMsg;
    }

    /**
     * construction
     * @param errCode error code
     * @param errMsg error message
     * @param code code
     */
    public AlipayPlusApiException(String errCode, String errMsg, int code) {
        super(errCode + ":" + errMsg);
        this.errCode = errCode;
        this.errMsg = errMsg;
        this.code = code;
    }

    public AlipayPlusApiException(String errMsg, int code) {
        super(errMsg);
        this.errMsg = errMsg;
        this.code = code;
    }

    /**
     * Getter method for property <tt>errCode</tt>.
     *
     * @return property value of errCode
     */
    public String getErrCode() {
        return errCode;
    }

    /**
     * Setter method for property <tt>errCode</tt>.
     *
     * @param errCode value to be assigned to property errCode
     */
    public void setErrCode(String errCode) {
        this.errCode = errCode;
    }

    /**
     * Getter method for property <tt>errMsg</tt>.
     *
     * @return property value of errMsg
     */
    public String getErrMsg() {
        return errMsg;
    }

    /**
     * Setter method for property <tt>errMsg</tt>.
     *
     * @param errMsg value to be assigned to property errMsg
     */
    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

    /**
     * Getter method for property <tt>code</tt>.
     *
     * @return property value of code
     */
    public int getCode() {
        return code;
    }

    /**
     * Setter method for property <tt>code</tt>.
     *
     * @param code value to be assigned to property code
     */
    public void setCode(int code) {
        this.code = code;
    }
}
