/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

import java.util.Map;

import com.alipay.ap.enums.HttpReceiveType;

/**
 * HttpReceive
 *
 * @author wangpeng
 * @version $Id: HttpReceive.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class HttpReceive extends ToString {
    /** serialVersionUID */
    private static final long            serialVersionUID = -1121102740227133435L;
    /**
     * receiveType
     */
    private              HttpReceiveType receiveType;

    /**
     * requestURI
     */
    private String              requestURI;

    /**
     * receiveRequestHeader
     */
    private Map<String, String> receiveRequestHeader;

    /**
     * receiveReqBody
     */
    private byte[]              receiveReqBody;

    /**
     * Getter method for property receiveType.
     *
     * @return property value of receiveType
     */
    public HttpReceiveType getReceiveType() {
        return receiveType;
    }

    /**
     * Setter method for property receiveType.
     *
     * @param receiveType value to be assigned to property receiveType
     */
    public void setReceiveType(HttpReceiveType receiveType) {
        this.receiveType = receiveType;
    }

    /**
     * Getter method for property requestURI.
     *
     * @return property value of requestURI
     */
    public String getRequestURI() {
        return requestURI;
    }

    /**
     * Setter method for property requestURI.
     *
     * @param requestURI value to be assigned to property requestURI
     */
    public void setRequestURI(String requestURI) {
        this.requestURI = requestURI;
    }

    /**
     * Getter method for property receiveRequestHeader.
     *
     * @return property value of receiveRequestHeader
     */
    public Map<String, String> getReceiveRequestHeader() {
        return receiveRequestHeader;
    }

    /**
     * Setter method for property receiveRequestHeader.
     *
     * @param receiveRequestHeader value to be assigned to property receiveRequestHeader
     */
    public void setReceiveRequestHeader(Map<String, String> receiveRequestHeader) {
        this.receiveRequestHeader = receiveRequestHeader;
    }

    /**
     * Getter method for property receiveReqBody.
     *
     * @return property value of receiveReqBody
     */
    public byte[] getReceiveReqBody() {
        return receiveReqBody;
    }

    /**
     * Setter method for property receiveReqBody.
     *
     * @param receiveReqBody value to be assigned to property receiveReqBody
     */
    public void setReceiveReqBody(byte[] receiveReqBody) {
        this.receiveReqBody = receiveReqBody;
    }

}