/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

import java.util.List;

/**
 * MerchantRegistrationInfo
 *
 * @author wangpeng
 * @version $Id: MerchantRegistrationInfo.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class MerchantRegistrationInfo extends ToString {
    /** serialVersionUID */
    private static final long  serialVersionUID = 4308318192603936870L;
    /**
     * referenceMerchantId
     */
    private String             referenceMerchantId;
    /**
     * merchantDisplayName
     */
    private String             merchantDisplayName;
    /**
     * merchantMCC
     */
    private String             merchantMCC;
    /**
     * websites
     */
    private List<WebSite>      websites;
    /**
     * registrationDetail
     */
    private RegistrationDetail registrationDetail;

    /**
     * Getter method for property referenceMerchantId.
     *
     * @return property value of referenceMerchantId
     */
    public String getReferenceMerchantId() {
        return referenceMerchantId;
    }

    /**
     * Setter method for property referenceMerchantId.
     *
     * @param referenceMerchantId value to be assigned to property referenceMerchantId
     */
    public void setReferenceMerchantId(String referenceMerchantId) {
        this.referenceMerchantId = referenceMerchantId;
    }

    /**
     * Getter method for property merchantDisplayName.
     *
     * @return property value of merchantDisplayName
     */
    public String getMerchantDisplayName() {
        return merchantDisplayName;
    }

    /**
     * Setter method for property merchantDisplayName.
     *
     * @param merchantDisplayName value to be assigned to property merchantDisplayName
     */
    public void setMerchantDisplayName(String merchantDisplayName) {
        this.merchantDisplayName = merchantDisplayName;
    }

    /**
     * Getter method for property merchantMCC.
     *
     * @return property value of merchantMCC
     */
    public String getMerchantMCC() {
        return merchantMCC;
    }

    /**
     * Setter method for property merchantMCC.
     *
     * @param merchantMCC value to be assigned to property merchantMCC
     */
    public void setMerchantMCC(String merchantMCC) {
        this.merchantMCC = merchantMCC;
    }

    /**
     * Getter method for property websites.
     *
     * @return property value of websites
     */
    public List<WebSite> getWebsites() {
        return websites;
    }

    /**
     * Setter method for property websites.
     *
     * @param websites value to be assigned to property websites
     */
    public void setWebsites(List<WebSite> websites) {
        this.websites = websites;
    }

    /**
     * Getter method for property registrationDetail.
     *
     * @return property value of registrationDetail
     */
    public RegistrationDetail getRegistrationDetail() {
        return registrationDetail;
    }

    /**
     * Setter method for property registrationDetail.
     *
     * @param registrationDetail value to be assigned to property registrationDetail
     */
    public void setRegistrationDetail(RegistrationDetail registrationDetail) {
        this.registrationDetail = registrationDetail;
    }

}
