/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

import com.alipay.ap.enums.InStorePaymentScenario;
import com.alipay.ap.enums.PresentmentMode;

/**
 * PaymentFactor
 *
 * @author wangpeng
 * @version $Id: PaymentFactor.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class PaymentFactor extends ToString {

    /** serialVersionUID */
    private static final long                   serialVersionUID = 9163601636492891467L;
    /**
     * isInStorePayment
     */
    private              Boolean                isInStorePayment;
    /**
     * isCashierPayment
     */
    private              Boolean                isCashierPayment;
    /**
     * isAgreementPayment
     */
    private              Boolean                isAgreementPayment;
    /**
     * presentmentMode
     */
    private              PresentmentMode        presentmentMode;
    /**
     * inStorePaymentScenario
     */
    private              InStorePaymentScenario inStorePaymentScenario;

    /**
     * Getter method for property isInStorePayment.
     *
     * @return property value of isInStorePayment
     */
    public Boolean isInStorePayment() {
        return isInStorePayment;
    }

    /**
     * Setter method for property inStorePayment.
     *
     * @param inStorePayment value to be assigned to property inStorePayment
     */
    public void setInStorePayment(Boolean inStorePayment) {
        isInStorePayment = inStorePayment;
    }

    /**
     * Getter method for property isCashierPayment.
     *
     * @return property value of isCashierPayment
     */
    public Boolean isCashierPayment() {
        return isCashierPayment;
    }

    /**
     * Setter method for property cashierPayment.
     *
     * @param cashierPayment value to be assigned to property cashierPayment
     */
    public void setCashierPayment(Boolean cashierPayment) {
        isCashierPayment = cashierPayment;
    }

    /**
     * Getter method for property isAgreementPayment.
     *
     * @return property value of isAgreementPayment
     */
    public Boolean isAgreementPayment() {
        return isAgreementPayment;
    }

    /**
     * Setter method for property agreementPayment.
     *
     * @param agreementPayment value to be assigned to property agreementPayment
     */
    public void setAgreementPayment(Boolean agreementPayment) {
        isAgreementPayment = agreementPayment;
    }

    /**
     * Getter method for property presentmentMode.
     *
     * @return property value of presentmentMode
     */
    public PresentmentMode getPresentmentMode() {
        return presentmentMode;
    }

    /**
     * Setter method for property presentmentMode.
     *
     * @param presentmentMode value to be assigned to property presentmentMode
     */
    public void setPresentmentMode(PresentmentMode presentmentMode) {
        this.presentmentMode = presentmentMode;
    }

    /**
     * Getter method for property inStorePaymentScenario.
     *
     * @return property value of inStorePaymentScenario
     */
    public InStorePaymentScenario getInStorePaymentScenario() {
        return inStorePaymentScenario;
    }

    /**
     * Setter method for property inStorePaymentScenario.
     *
     * @param inStorePaymentScenario value to be assigned to property inStorePaymentScenario
     */
    public void setInStorePaymentScenario(InStorePaymentScenario inStorePaymentScenario) {
        this.inStorePaymentScenario = inStorePaymentScenario;
    }

}
