/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

import com.alipay.ap.job.APSScheduleJobExecutor;

import java.util.concurrent.atomic.AtomicInteger;

/**
 * retry context for {@link APSScheduleJobExecutor}
 *
 * @author wangpeng
 * @version $Id: PaymentContext.java, v 0.1 2019‐10-23 15:52:13 wangpeng Exp $
 */
public class RetryContext implements Cloneable {

    /**
     * atomic retry counter
     **/
    private AtomicInteger retryCount      = new AtomicInteger(0);

    /**
     * whether to continue retry
     */
    private boolean       isContinueRetry = false;

    /**
     * is max retry
     */
    private boolean       isMaxRetry      = false;

    /**
     * Getter method for property retryCount.
     *
     * @return property value of retryCount
     */
    public AtomicInteger getRetryCount() {
        return retryCount;
    }

    /**
     * Setter method for property retryCount.
     *
     * @param retryCount value to be assigned to property retryCount
     */
    public void setRetryCount(AtomicInteger retryCount) {
        this.retryCount = retryCount;
    }

    /**
     * Getter method for property isContinueRetry.
     *
     * @return property value of isContinueRetry
     */
    public boolean isContinueRetry() {
        return isContinueRetry;
    }

    /**
     * Setter method for property continueRetry.
     *
     * @param continueRetry value to be assigned to property continueRetry
     */
    public void setContinueRetry(boolean continueRetry) {
        isContinueRetry = continueRetry;
    }

    /**
     * Getter method for property isMaxRetry.
     *
     * @return property value of isMaxRetry
     */
    public boolean isMaxRetry() {
        return isMaxRetry;
    }

    /**
     * Setter method for property maxRetry.
     *
     * @param maxRetry value to be assigned to property maxRetry
     */
    public void setMaxRetry(boolean maxRetry) {
        isMaxRetry = maxRetry;
    }

    @Override
    public RetryContext clone() throws CloneNotSupportedException {
        return (RetryContext) super.clone();
    }


    public void resetContinueRetryFlag() {
        this.isContinueRetry = false;

    }

    public void init(int retryCount, boolean isMaxRetry) {

        this.retryCount = new AtomicInteger(retryCount);
        this.isMaxRetry = isMaxRetry;
    }
}
