/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.model;

import com.alipay.ap.enums.TransactionStatusType;
import com.alipay.ap.enums.TransactionType;

/**
 * Transaction
 *
 * @author wangpeng
 * @version $Id: Transaction.java, v 0.1 2022‐07-05 20:47 wangpeng Exp $
 */
public class Transaction extends ToString {
    /** serialVersionUID */
    private static final long                  serialVersionUID = 8892091585693191819L;
    /**
     * transactionResult
     */
    private              Result                transactionResult;
    /**
     * transactionId
     */
    private              String                transactionId;
    /**
     * transactionType
     */
    private              TransactionType       transactionType;
    /**
     * transactionStatus
     */
    private              TransactionStatusType transactionStatus;
    /**
     * transactionAmount
     */
    private              Amount                transactionAmount;
    /**
     * transactionRequestId
     */
    private              String                transactionRequestId;
    /**
     * transactionTime
     */
    private              String                transactionTime;

    /**
     * Getter method for property transactionResult.
     *
     * @return property value of transactionResult
     */
    public Result getTransactionResult() {
        return transactionResult;
    }

    /**
     * Setter method for property transactionResult.
     *
     * @param transactionResult value to be assigned to property transactionResult
     */
    public void setTransactionResult(Result transactionResult) {
        this.transactionResult = transactionResult;
    }

    /**
     * Getter method for property transactionId.
     *
     * @return property value of transactionId
     */
    public String getTransactionId() {
        return transactionId;
    }

    /**
     * Setter method for property transactionId.
     *
     * @param transactionId value to be assigned to property transactionId
     */
    public void setTransactionId(String transactionId) {
        this.transactionId = transactionId;
    }

    /**
     * Getter method for property transactionType.
     *
     * @return property value of transactionType
     */
    public TransactionType getTransactionType() {
        return transactionType;
    }

    /**
     * Setter method for property transactionType.
     *
     * @param transactionType value to be assigned to property transactionType
     */
    public void setTransactionType(TransactionType transactionType) {
        this.transactionType = transactionType;
    }

    /**
     * Getter method for property transactionStatus.
     *
     * @return property value of transactionStatus
     */
    public TransactionStatusType getTransactionStatus() {
        return transactionStatus;
    }

    /**
     * Setter method for property transactionStatus.
     *
     * @param transactionStatus value to be assigned to property transactionStatus
     */
    public void setTransactionStatus(TransactionStatusType transactionStatus) {
        this.transactionStatus = transactionStatus;
    }

    /**
     * Getter method for property transactionAmount.
     *
     * @return property value of transactionAmount
     */
    public Amount getTransactionAmount() {
        return transactionAmount;
    }

    /**
     * Setter method for property transactionAmount.
     *
     * @param transactionAmount value to be assigned to property transactionAmount
     */
    public void setTransactionAmount(Amount transactionAmount) {
        this.transactionAmount = transactionAmount;
    }

    /**
     * Getter method for property transactionRequestId.
     *
     * @return property value of transactionRequestId
     */
    public String getTransactionRequestId() {
        return transactionRequestId;
    }

    /**
     * Setter method for property transactionRequestId.
     *
     * @param transactionRequestId value to be assigned to property transactionRequestId
     */
    public void setTransactionRequestId(String transactionRequestId) {
        this.transactionRequestId = transactionRequestId;
    }

    /**
     * Getter method for property transactionTime.
     *
     * @return property value of transactionTime
     */
    public String getTransactionTime() {
        return transactionTime;
    }

    /**
     * Setter method for property transactionTime.
     *
     * @param transactionTime value to be assigned to property transactionTime
     */
    public void setTransactionTime(String transactionTime) {
        this.transactionTime = transactionTime;
    }

}
