/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.receive;

import com.alipay.ap.callbacks.HttpReceiveCallback;
import com.alipay.ap.cfg.APSSettings;
import com.alipay.ap.exception.AlipayPlusApiException;
import com.alipay.ap.model.HttpReceive;
import com.alipay.ap.response.HttpReceiveResponse;

/**
 * APS Http Receive Listener
 * @author mulin.xl
 * @version $Id: APSHttpReceiveListener.java, v 0.1 2022‐07‐13 11:58 mulin.xl Exp $$
 */
public abstract class APSHttpReceiveListener {

    /** ap settings **/
    private APSSettings apsSettings;

    /**
     * Construct method
     *
     * @param apsSettings ap settings {@link APSSettings}
     */
    public APSHttpReceiveListener(APSSettings apsSettings) {
        this.apsSettings = apsSettings;
    }

    /**
     * Getter method for property apsSettings.
     *
     * @return property value of apsSettings
     */
    public APSSettings getApsSettings() {
        return apsSettings;
    }

    /**
     * Setter method for property apsSettings.
     *
     * @param apsSettings value to be assigned to property apsSettings
     */
    public void setApsSettings(APSSettings apsSettings) {
        this.apsSettings = apsSettings;
    }

    /**
     * Handle the request received from A+
     * 
     * @param httpReceive
     * @param httpReceiveCallback
     * @return HttpReceiveResponse
     * @throws AlipayPlusApiException
     * @throws Exception
     */
    public abstract HttpReceiveResponse onReceive(HttpReceive httpReceive,
                                                  HttpReceiveCallback httpReceiveCallback) throws AlipayPlusApiException,
                                                                                           Exception;
}