/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.request;

import com.alipay.ap.constants.URIConstants;
import com.alipay.ap.enums.GrantType;
import com.alipay.ap.response.ApplyTokenResponse;

/**
 * Apply Token Request
 * @author wqy01239909
 * @version $Id: ApplyTokenRequest.java, v 0.1 2022‐07-08 15:36 wqy01239909 Exp $
 */
public class ApplyTokenRequest extends APSRequest<ApplyTokenResponse> {
    /** serialVersionUID */
    private static final long      serialVersionUID = -8397191369903113012L;
    /**
     * authClientId
     */
    private              String    authClientId;
    /**
     * grantType
     */
    private              GrantType grantType;
    /**
     * authCode
     */
    private              String    authCode;
    /**
     * refreshToken
     */
    private              String    refreshToken;
    /**
     * passThroughInfo
     */
    private              String    passThroughInfo;

    /**
     * Getter method for property authClientId.
     *
     * @return property value of authClientId
     */
    public String getAuthClientId() {
        return authClientId;
    }

    /**
     * Setter method for property authClientId.
     *
     * @param authClientId value to be assigned to property authClientId
     */
    public void setAuthClientId(String authClientId) {
        this.authClientId = authClientId;
    }

    /**
     * Getter method for property grantType.
     *
     * @return property value of grantType
     */
    public GrantType getGrantType() {
        return grantType;
    }

    /**
     * Setter method for property grantType.
     *
     * @param grantType value to be assigned to property grantType
     */
    public void setGrantType(GrantType grantType) {
        this.grantType = grantType;
    }

    /**
     * Getter method for property authCode.
     *
     * @return property value of authCode
     */
    public String getAuthCode() {
        return authCode;
    }

    /**
     * Setter method for property authCode.
     *
     * @param authCode value to be assigned to property authCode
     */
    public void setAuthCode(String authCode) {
        this.authCode = authCode;
    }

    /**
     * Getter method for property refreshToken.
     *
     * @return property value of refreshToken
     */
    public String getRefreshToken() {
        return refreshToken;
    }

    /**
     * Setter method for property refreshToken.
     *
     * @param refreshToken value to be assigned to property refreshToken
     */
    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    /**
     * Getter method for property passThroughInfo.
     *
     * @return property value of passThroughInfo
     */
    public String getPassThroughInfo() {
        return passThroughInfo;
    }

    /**
     * Setter method for property passThroughInfo.
     *
     * @param passThroughInfo value to be assigned to property passThroughInfo
     */
    public void setPassThroughInfo(String passThroughInfo) {
        this.passThroughInfo = passThroughInfo;
    }

    public ApplyTokenRequest() {
        super(URIConstants.APPLY_TOKEN);
    }

    @Override
    public Class<ApplyTokenResponse> getResponseClass() {
        return ApplyTokenResponse.class;
    }
}