/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.request;

import java.util.List;

import com.alipay.ap.enums.AuthorizationNotifyType;
import com.alipay.ap.enums.Scope;
import com.alipay.ap.model.Wallet;
import com.alipay.ap.response.HttpReceiveResponse;

/**
 * Auth Notify Request
 * @author wqy01239909
 * @version $Id: AuthNotifyRequest.java, v 0.1 2022‐07-08 15:47 wqy01239909 Exp $
 */
public class AuthNotifyRequest extends APSRequest {
    /** serialVersionUID */
    private static final long       serialVersionUID = 5351125841735931022L;
    /**
     * authorizationNotifyType
     */
    private AuthorizationNotifyType authorizationNotifyType;
    /**
     * authClientId
     */
    private String                  authClientId;
    /**
     * referenceMerchantId
     */
    private String                  referenceMerchantId;
    /**
     * accessToken
     */
    private String                  accessToken;
    /**
     * authCode
     */
    private String                  authCode;
    /**
     * authState
     */
    private String                  authState;
    /**
     * customerId
     */
    private String                  customerId;
    /**
     * userLoginId
     */
    private String                  userLoginId;
    /**
     * referenceAgreementId
     */
    private String                  referenceAgreementId;
    /**
     * accessTokenExpiryTime
     */
    private String                  accessTokenExpiryTime;
    /**
     * refreshToken
     */
    private String                  refreshToken;
    /**
     * refreshTokenExpiryTime
     */
    private String                  refreshTokenExpiryTime;
    /**
     * scopes
     */
    private List<Scope>             scopes;
    /**
     * pspId
     */
    private String                  pspId;
    /**
     * acquirerId
     */
    private String                  acquirerId;
    /**
     * reason
     */
    private String                  reason;
    /**
     * tokenCancelSource
     */
    private String                  tokenCancelSource;
    /**
     * passThroughInfo
     */
    private String                  passThroughInfo;
    /**
     * walletForAccountBinding
     */
    private Wallet                  walletForAccountBinding;

    /**
     * Getter method for property authorizationNotifyType.
     *
     * @return property value of authorizationNotifyType
     */
    public AuthorizationNotifyType getAuthorizationNotifyType() {
        return authorizationNotifyType;
    }

    /**
     * Setter method for property authorizationNotifyType.
     *
     * @param authorizationNotifyType value to be assigned to property authorizationNotifyType
     */
    public void setAuthorizationNotifyType(AuthorizationNotifyType authorizationNotifyType) {
        this.authorizationNotifyType = authorizationNotifyType;
    }

    /**
     * Getter method for property authClientId.
     *
     * @return property value of authClientId
     */
    public String getAuthClientId() {
        return authClientId;
    }

    /**
     * Setter method for property authClientId.
     *
     * @param authClientId value to be assigned to property authClientId
     */
    public void setAuthClientId(String authClientId) {
        this.authClientId = authClientId;
    }

    /**
     * Getter method for property referenceMerchantId.
     *
     * @return property value of referenceMerchantId
     */
    public String getReferenceMerchantId() {
        return referenceMerchantId;
    }

    /**
     * Setter method for property referenceMerchantId.
     *
     * @param referenceMerchantId value to be assigned to property referenceMerchantId
     */
    public void setReferenceMerchantId(String referenceMerchantId) {
        this.referenceMerchantId = referenceMerchantId;
    }

    /**
     * Getter method for property accessToken.
     *
     * @return property value of accessToken
     */
    public String getAccessToken() {
        return accessToken;
    }

    /**
     * Setter method for property accessToken.
     *
     * @param accessToken value to be assigned to property accessToken
     */
    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    /**
     * Getter method for property authCode.
     *
     * @return property value of authCode
     */
    public String getAuthCode() {
        return authCode;
    }

    /**
     * Setter method for property authCode.
     *
     * @param authCode value to be assigned to property authCode
     */
    public void setAuthCode(String authCode) {
        this.authCode = authCode;
    }

    /**
     * Getter method for property authState.
     *
     * @return property value of authState
     */
    public String getAuthState() {
        return authState;
    }

    /**
     * Setter method for property authState.
     *
     * @param authState value to be assigned to property authState
     */
    public void setAuthState(String authState) {
        this.authState = authState;
    }

    /**
     * Getter method for property customerId.
     *
     * @return property value of customerId
     */
    public String getCustomerId() {
        return customerId;
    }

    /**
     * Setter method for property customerId.
     *
     * @param customerId value to be assigned to property customerId
     */
    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    /**
     * Getter method for property userLoginId.
     *
     * @return property value of userLoginId
     */
    public String getUserLoginId() {
        return userLoginId;
    }

    /**
     * Setter method for property userLoginId.
     *
     * @param userLoginId value to be assigned to property userLoginId
     */
    public void setUserLoginId(String userLoginId) {
        this.userLoginId = userLoginId;
    }

    /**
     * Getter method for property referenceAgreementId.
     *
     * @return property value of referenceAgreementId
     */
    public String getReferenceAgreementId() {
        return referenceAgreementId;
    }

    /**
     * Setter method for property referenceAgreementId.
     *
     * @param referenceAgreementId value to be assigned to property referenceAgreementId
     */
    public void setReferenceAgreementId(String referenceAgreementId) {
        this.referenceAgreementId = referenceAgreementId;
    }

    /**
     * Getter method for property accessTokenExpiryTime.
     *
     * @return property value of accessTokenExpiryTime
     */
    public String getAccessTokenExpiryTime() {
        return accessTokenExpiryTime;
    }

    /**
     * Setter method for property accessTokenExpiryTime.
     *
     * @param accessTokenExpiryTime value to be assigned to property accessTokenExpiryTime
     */
    public void setAccessTokenExpiryTime(String accessTokenExpiryTime) {
        this.accessTokenExpiryTime = accessTokenExpiryTime;
    }

    /**
     * Getter method for property refreshToken.
     *
     * @return property value of refreshToken
     */
    public String getRefreshToken() {
        return refreshToken;
    }

    /**
     * Setter method for property refreshToken.
     *
     * @param refreshToken value to be assigned to property refreshToken
     */
    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    /**
     * Getter method for property refreshTokenExpiryTime.
     *
     * @return property value of refreshTokenExpiryTime
     */
    public String getRefreshTokenExpiryTime() {
        return refreshTokenExpiryTime;
    }

    /**
     * Setter method for property refreshTokenExpiryTime.
     *
     * @param refreshTokenExpiryTime value to be assigned to property refreshTokenExpiryTime
     */
    public void setRefreshTokenExpiryTime(String refreshTokenExpiryTime) {
        this.refreshTokenExpiryTime = refreshTokenExpiryTime;
    }

    /**
     * Getter method for property scopes.
     *
     * @return property value of scopes
     */
    public List<Scope> getScopes() {
        return scopes;
    }

    /**
     * Setter method for property scopes.
     *
     * @param scopes value to be assigned to property scopes
     */
    public void setScopes(List<Scope> scopes) {
        this.scopes = scopes;
    }

    /**
     * Getter method for property pspId.
     *
     * @return property value of pspId
     */
    public String getPspId() {
        return pspId;
    }

    /**
     * Setter method for property pspId.
     *
     * @param pspId value to be assigned to property pspId
     */
    public void setPspId(String pspId) {
        this.pspId = pspId;
    }

    /**
     * Getter method for property acquirerId.
     *
     * @return property value of acquirerId
     */
    public String getAcquirerId() {
        return acquirerId;
    }

    /**
     * Setter method for property acquirerId.
     *
     * @param acquirerId value to be assigned to property acquirerId
     */
    public void setAcquirerId(String acquirerId) {
        this.acquirerId = acquirerId;
    }

    /**
     * Getter method for property reason.
     *
     * @return property value of reason
     */
    public String getReason() {
        return reason;
    }

    /**
     * Setter method for property reason.
     *
     * @param reason value to be assigned to property reason
     */
    public void setReason(String reason) {
        this.reason = reason;
    }

    /**
     * Getter method for property tokenCancelSource.
     *
     * @return property value of tokenCancelSource
     */
    public String getTokenCancelSource() {
        return tokenCancelSource;
    }

    /**
     * Setter method for property tokenCancelSource.
     *
     * @param tokenCancelSource value to be assigned to property tokenCancelSource
     */
    public void setTokenCancelSource(String tokenCancelSource) {
        this.tokenCancelSource = tokenCancelSource;
    }

    /**
     * Getter method for property passThroughInfo.
     *
     * @return property value of passThroughInfo
     */
    public String getPassThroughInfo() {
        return passThroughInfo;
    }

    /**
     * Setter method for property passThroughInfo.
     *
     * @param passThroughInfo value to be assigned to property passThroughInfo
     */
    public void setPassThroughInfo(String passThroughInfo) {
        this.passThroughInfo = passThroughInfo;
    }

    /**
     * Getter method for property walletForAccountBinding.
     *
     * @return property value of walletForAccountBinding
     */
    public Wallet getWalletForAccountBinding() {
        return walletForAccountBinding;
    }

    /**
     * Setter method for property walletForAccountBinding.
     *
     * @param walletForAccountBinding value to be assigned to property walletForAccountBinding
     */
    public void setWalletForAccountBinding(Wallet walletForAccountBinding) {
        this.walletForAccountBinding = walletForAccountBinding;
    }

    @Override
    public Class<HttpReceiveResponse> getResponseClass() {
        return HttpReceiveResponse.class;
    }
}