/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.request;

import com.alipay.ap.constants.URIConstants;
import com.alipay.ap.model.Amount;
import com.alipay.ap.model.Order;
import com.alipay.ap.model.PaymentFactor;
import com.alipay.ap.model.PaymentMethod;
import com.alipay.ap.model.SettlementStrategy;
import com.alipay.ap.response.AutoDebitPayResponse;

/**
 * AutoDebit Pay Request
 * @author wqy01239909
 * @version $Id: AutoDebitPayRequest.java, v 0.1 2022‐07-08 16:21 wqy01239909 Exp $
 */
public class AutoDebitPayRequest extends APSRequest<AutoDebitPayResponse> {
    /** serialVersionUID */
    private static final long  serialVersionUID = 2597457103524473627L;
    /**
     * order
     */
    private Order              order;
    /**
     * paymentRequestId
     */
    private String             paymentRequestId;
    /**
     * paymentAmount
     */
    private Amount             paymentAmount;
    /**
     * paymentMethod
     */
    private PaymentMethod      paymentMethod;
    /**
     * paymentFactor
     */
    private PaymentFactor      paymentFactor;
    /**
     * paymentExpiryTime
     */
    private String             paymentExpiryTime;
    /**
     * paymentNotifyUrl
     */
    private String             paymentNotifyUrl;
    /**
     * settlementStrategy
     */
    private SettlementStrategy settlementStrategy;
    /**
     * splitSettlementId
     */
    private String             splitSettlementId;

    /**
     * Getter method for property order.
     *
     * @return property value of order
     */
    public Order getOrder() {
        return order;
    }

    /**
     * Setter method for property order.
     *
     * @param order value to be assigned to property order
     */
    public void setOrder(Order order) {
        this.order = order;
    }

    /**
     * Getter method for property paymentRequestId.
     *
     * @return property value of paymentRequestId
     */
    public String getPaymentRequestId() {
        return paymentRequestId;
    }

    /**
     * Setter method for property paymentRequestId.
     *
     * @param paymentRequestId value to be assigned to property paymentRequestId
     */
    public void setPaymentRequestId(String paymentRequestId) {
        this.paymentRequestId = paymentRequestId;
    }

    /**
     * Getter method for property paymentAmount.
     *
     * @return property value of paymentAmount
     */
    public Amount getPaymentAmount() {
        return paymentAmount;
    }

    /**
     * Setter method for property paymentAmount.
     *
     * @param paymentAmount value to be assigned to property paymentAmount
     */
    public void setPaymentAmount(Amount paymentAmount) {
        this.paymentAmount = paymentAmount;
    }

    /**
     * Getter method for property paymentMethod.
     *
     * @return property value of paymentMethod
     */
    public PaymentMethod getPaymentMethod() {
        return paymentMethod;
    }

    /**
     * Setter method for property paymentMethod.
     *
     * @param paymentMethod value to be assigned to property paymentMethod
     */
    public void setPaymentMethod(PaymentMethod paymentMethod) {
        this.paymentMethod = paymentMethod;
    }

    /**
     * Getter method for property paymentFactor.
     *
     * @return property value of paymentFactor
     */
    public PaymentFactor getPaymentFactor() {
        return paymentFactor;
    }

    /**
     * Setter method for property paymentFactor.
     *
     * @param paymentFactor value to be assigned to property paymentFactor
     */
    public void setPaymentFactor(PaymentFactor paymentFactor) {
        this.paymentFactor = paymentFactor;
    }

    /**
     * Getter method for property paymentExpiryTime.
     *
     * @return property value of paymentExpiryTime
     */
    public String getPaymentExpiryTime() {
        return paymentExpiryTime;
    }

    /**
     * Setter method for property paymentExpiryTime.
     *
     * @param paymentExpiryTime value to be assigned to property paymentExpiryTime
     */
    public void setPaymentExpiryTime(String paymentExpiryTime) {
        this.paymentExpiryTime = paymentExpiryTime;
    }

    /**
     * Getter method for property paymentNotifyUrl.
     *
     * @return property value of paymentNotifyUrl
     */
    public String getPaymentNotifyUrl() {
        return paymentNotifyUrl;
    }

    /**
     * Setter method for property paymentNotifyUrl.
     *
     * @param paymentNotifyUrl value to be assigned to property paymentNotifyUrl
     */
    public void setPaymentNotifyUrl(String paymentNotifyUrl) {
        this.paymentNotifyUrl = paymentNotifyUrl;
    }

    /**
     * Getter method for property settlementStrategy.
     *
     * @return property value of settlementStrategy
     */
    public SettlementStrategy getSettlementStrategy() {
        return settlementStrategy;
    }

    /**
     * Setter method for property settlementStrategy.
     *
     * @param settlementStrategy value to be assigned to property settlementStrategy
     */
    public void setSettlementStrategy(SettlementStrategy settlementStrategy) {
        this.settlementStrategy = settlementStrategy;
    }

    /**
     * Getter method for property splitSettlementId.
     *
     * @return property value of splitSettlementId
     */
    public String getSplitSettlementId() {
        return splitSettlementId;
    }

    /**
     * Setter method for property splitSettlementId.
     *
     * @param splitSettlementId value to be assigned to property splitSettlementId
     */
    public void setSplitSettlementId(String splitSettlementId) {
        this.splitSettlementId = splitSettlementId;
    }

    public AutoDebitPayRequest() {
        super(URIConstants.PAY);
    }

    @Override
    public Class<AutoDebitPayResponse> getResponseClass() {
        return AutoDebitPayResponse.class;
    }
}