/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.request;

import com.alipay.ap.constants.URIConstants;
import com.alipay.ap.response.CancelPaymentPayResponse;

/**
 * Cancel Payment Request
 * @author wqy01239909
 * @version $Id: CancelPaymentRequest.java, v 0.1 2022‐07-08 16:21 wqy01239909 Exp $
 */
public class CancelPaymentRequest extends APSRequest<CancelPaymentPayResponse> {
    /** serialVersionUID */
    private static final long serialVersionUID = 138102395964505049L;
    /**
     * paymentRequestId
     */
    private String            paymentRequestId;
    /**
     * paymentId
     */
    private String            paymentId;

    public CancelPaymentRequest() {
        super(URIConstants.CANCEL_PAYMENT);
    }

    /**
     * Getter method for property paymentRequestId.
     *
     * @return property value of paymentRequestId
     */
    public String getPaymentRequestId() {
        return paymentRequestId;
    }

    /**
     * Setter method for property paymentRequestId.
     *
     * @param paymentRequestId value to be assigned to property paymentRequestId
     */
    public void setPaymentRequestId(String paymentRequestId) {
        this.paymentRequestId = paymentRequestId;
    }

    /**
     * Getter method for property paymentId.
     *
     * @return property value of paymentId
     */
    public String getPaymentId() {
        return paymentId;
    }

    /**
     * Setter method for property paymentId.
     *
     * @param paymentId value to be assigned to property paymentId
     */
    public void setPaymentId(String paymentId) {
        this.paymentId = paymentId;
    }

    @Override
    public Class<CancelPaymentPayResponse> getResponseClass() {
        return CancelPaymentPayResponse.class;
    }

}
