/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.request;

import com.alipay.ap.constants.URIConstants;
import com.alipay.ap.response.CancelTokenResponse;

/**
 * Cancel Token Request
 * @author wqy01239909
 * @version $Id: CancelTokenRequest.java, v 0.1 2022‐07-08 15:45 wqy01239909 Exp $
 */
public class CancelTokenRequest extends APSRequest<CancelTokenResponse> {
    /** serialVersionUID */
    private static final long serialVersionUID = -6073926950060727561L;
    /**
     * accessToken
     */
    private String            accessToken;
    /**
     * authClientId
     */
    private String            authClientId;
    /**
     * passThroughInfo
     */
    private String            passThroughInfo;

    /**
     * Getter method for property accessToken.
     *
     * @return property value of accessToken
     */
    public String getAccessToken() {
        return accessToken;
    }

    /**
     * Setter method for property accessToken.
     *
     * @param accessToken value to be assigned to property accessToken
     */
    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    /**
     * Getter method for property authClientId.
     *
     * @return property value of authClientId
     */
    public String getAuthClientId() {
        return authClientId;
    }

    /**
     * Setter method for property authClientId.
     *
     * @param authClientId value to be assigned to property authClientId
     */
    public void setAuthClientId(String authClientId) {
        this.authClientId = authClientId;
    }

    /**
     * Getter method for property passThroughInfo.
     *
     * @return property value of passThroughInfo
     */
    public String getPassThroughInfo() {
        return passThroughInfo;
    }

    /**
     * Setter method for property passThroughInfo.
     *
     * @param passThroughInfo value to be assigned to property passThroughInfo
     */
    public void setPassThroughInfo(String passThroughInfo) {
        this.passThroughInfo = passThroughInfo;
    }

    public CancelTokenRequest() {
        super(URIConstants.CANCEL_TOKEN);
    }

    @Override
    public Class<CancelTokenResponse> getResponseClass() {
        return CancelTokenResponse.class;
    }
}