/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.request;

import com.alipay.ap.response.ConsultUnbindingResponse;

/**
 * Consult Unbinding Request
 * @author wqy01239909
 * @version $Id: ConsultUnbindingRequest.java, v 0.1 2022‐07-08 15:58 wqy01239909 Exp $
 */
public class ConsultUnbindingRequest extends APSRequest {
    /** serialVersionUID */
    private static final long serialVersionUID = 4040841178422921238L;
    /**
     * authClientId
     */
    private String            authClientId;
    /**
     * referenceMerchantId
     */
    private String            referenceMerchantId;
    /**
     * accessToken
     */
    private String            accessToken;
    /**
     * acquirerId
     */
    private String            acquirerId;
    /**
     * pspId
     */
    private String            pspId;

    /**
     * Getter method for property authClientId.
     *
     * @return property value of authClientId
     */
    public String getAuthClientId() {
        return authClientId;
    }

    /**
     * Setter method for property authClientId.
     *
     * @param authClientId value to be assigned to property authClientId
     */
    public void setAuthClientId(String authClientId) {
        this.authClientId = authClientId;
    }

    /**
     * Getter method for property referenceMerchantId.
     *
     * @return property value of referenceMerchantId
     */
    public String getReferenceMerchantId() {
        return referenceMerchantId;
    }

    /**
     * Setter method for property referenceMerchantId.
     *
     * @param referenceMerchantId value to be assigned to property referenceMerchantId
     */
    public void setReferenceMerchantId(String referenceMerchantId) {
        this.referenceMerchantId = referenceMerchantId;
    }

    /**
     * Getter method for property accessToken.
     *
     * @return property value of accessToken
     */
    public String getAccessToken() {
        return accessToken;
    }

    /**
     * Setter method for property accessToken.
     *
     * @param accessToken value to be assigned to property accessToken
     */
    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    /**
     * Getter method for property acquirerId.
     *
     * @return property value of acquirerId
     */
    public String getAcquirerId() {
        return acquirerId;
    }

    /**
     * Setter method for property acquirerId.
     *
     * @param acquirerId value to be assigned to property acquirerId
     */
    public void setAcquirerId(String acquirerId) {
        this.acquirerId = acquirerId;
    }

    /**
     * Getter method for property pspId.
     *
     * @return property value of pspId
     */
    public String getPspId() {
        return pspId;
    }

    /**
     * Setter method for property pspId.
     *
     * @param pspId value to be assigned to property pspId
     */
    public void setPspId(String pspId) {
        this.pspId = pspId;
    }

    @Override
    public Class<ConsultUnbindingResponse> getResponseClass() {
        return ConsultUnbindingResponse.class;
    }
}