/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.request;

import java.util.List;

import com.alipay.ap.constants.URIConstants;
import com.alipay.ap.enums.ProductCodeType;
import com.alipay.ap.model.MerchantRegistrationInfo;
import com.alipay.ap.model.StoreRegistrationInfo;
import com.alipay.ap.response.MerchantRegistrationResponse;

/**
 * Merchant Registration Request
 * @author wqy01239909
 * @version $Id: MerchantRegistrationRequest.java, v 0.1 2022‐06-23 17:30 wqy01239909 Exp $
 */
public class MerchantRegistrationRequest extends APSRequest<MerchantRegistrationResponse> {
    /** serialVersionUID */
    private static final long                     serialVersionUID = -2333547527735190212L;
    /**
     * registrationRequestId
     */
    private              String                   registrationRequestId;
    /**
     * productCodes
     */
    private              List<ProductCodeType>    productCodes;
    /**
     * merchantInfo
     */
    private              MerchantRegistrationInfo merchantInfo;
    /**
     * storeInfo
     */
    private              StoreRegistrationInfo    storeInfo;
    /**
     * registrationNotifyURL
     */
    private              String                   registrationNotifyURL;
    /**
     * passThroughInfo
     */
    private              String                   passThroughInfo;

    public MerchantRegistrationRequest() {
        super(URIConstants.REGISTRATION);
    }

    /**
     * Getter method for property registrationRequestId.
     *
     * @return property value of registrationRequestId
     */
    public String getRegistrationRequestId() {
        return registrationRequestId;
    }

    /**
     * Setter method for property registrationRequestId.
     *
     * @param registrationRequestId value to be assigned to property registrationRequestId
     */
    public void setRegistrationRequestId(String registrationRequestId) {
        this.registrationRequestId = registrationRequestId;
    }

    /**
     * Getter method for property productCodes.
     *
     * @return property value of productCodes
     */
    public List<ProductCodeType> getProductCodes() {
        return productCodes;
    }

    /**
     * Setter method for property productCodes.
     *
     * @param productCodes value to be assigned to property productCodes
     */
    public void setProductCodes(List<ProductCodeType> productCodes) {
        this.productCodes = productCodes;
    }

    /**
     * Getter method for property merchantInfo.
     *
     * @return property value of merchantInfo
     */
    public MerchantRegistrationInfo getMerchantInfo() {
        return merchantInfo;
    }

    /**
     * Setter method for property merchantInfo.
     *
     * @param merchantInfo value to be assigned to property merchantInfo
     */
    public void setMerchantInfo(MerchantRegistrationInfo merchantInfo) {
        this.merchantInfo = merchantInfo;
    }

    /**
     * Getter method for property storeInfo.
     *
     * @return property value of storeInfo
     */
    public StoreRegistrationInfo getStoreInfo() {
        return storeInfo;
    }

    /**
     * Setter method for property storeInfo.
     *
     * @param storeInfo value to be assigned to property storeInfo
     */
    public void setStoreInfo(StoreRegistrationInfo storeInfo) {
        this.storeInfo = storeInfo;
    }

    /**
     * Getter method for property registrationNotifyURL.
     *
     * @return property value of registrationNotifyURL
     */
    public String getRegistrationNotifyURL() {
        return registrationNotifyURL;
    }

    /**
     * Setter method for property registrationNotifyURL.
     *
     * @param registrationNotifyURL value to be assigned to property registrationNotifyURL
     */
    public void setRegistrationNotifyURL(String registrationNotifyURL) {
        this.registrationNotifyURL = registrationNotifyURL;
    }

    /**
     * Getter method for property passThroughInfo.
     *
     * @return property value of passThroughInfo
     */
    public String getPassThroughInfo() {
        return passThroughInfo;
    }

    /**
     * Setter method for property passThroughInfo.
     *
     * @param passThroughInfo value to be assigned to property passThroughInfo
     */
    public void setPassThroughInfo(String passThroughInfo) {
        this.passThroughInfo = passThroughInfo;
    }

    @Override
    public Class<MerchantRegistrationResponse> getResponseClass() {
        return MerchantRegistrationResponse.class;
    }
}
