/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.request;

import com.alipay.ap.constants.URIConstants;
import com.alipay.ap.response.MerchantInquiryRegistrationStatusResponse;

/**
 * Merchant Registration Request
 * @author wqy01239909
 * @version $Id: MerchantRegistrationStatusInquiryRequest.java, v 0.1 2022‐06-23 17:30 wqy01239909 Exp $
 */
public class MerchantRegistrationStatusInquiryRequest extends
                                                      APSRequest<MerchantInquiryRegistrationStatusResponse> {
    /** serialVersionUID */
    private static final long serialVersionUID = -314871821187016177L;
    /**
     * referenceMerchantId
     */
    private String            referenceMerchantId;
    /**
     * referenceStoreId
     */
    private String            referenceStoreId;
    /**
     * registrationRequestId
     */
    private String            registrationRequestId;

    public MerchantRegistrationStatusInquiryRequest() {
        super(URIConstants.INQUIRY_REGISTRATION_STATUS);
    }

    /**
     * Getter method for property referenceMerchantId.
     *
     * @return property value of referenceMerchantId
     */
    public String getReferenceMerchantId() {
        return referenceMerchantId;
    }

    /**
     * Setter method for property referenceMerchantId.
     *
     * @param referenceMerchantId value to be assigned to property referenceMerchantId
     */
    public void setReferenceMerchantId(String referenceMerchantId) {
        this.referenceMerchantId = referenceMerchantId;
    }

    /**
     * Getter method for property referenceStoreId.
     *
     * @return property value of referenceStoreId
     */
    public String getReferenceStoreId() {
        return referenceStoreId;
    }

    /**
     * Setter method for property referenceStoreId.
     *
     * @param referenceStoreId value to be assigned to property referenceStoreId
     */
    public void setReferenceStoreId(String referenceStoreId) {
        this.referenceStoreId = referenceStoreId;
    }

    /**
     * Getter method for property registrationRequestId.
     *
     * @return property value of registrationRequestId
     */
    public String getRegistrationRequestId() {
        return registrationRequestId;
    }

    /**
     * Setter method for property registrationRequestId.
     *
     * @param registrationRequestId value to be assigned to property registrationRequestId
     */
    public void setRegistrationRequestId(String registrationRequestId) {
        this.registrationRequestId = registrationRequestId;
    }

    @Override
    public Class<MerchantInquiryRegistrationStatusResponse> getResponseClass() {
        return MerchantInquiryRegistrationStatusResponse.class;
    }
}
