/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.request;

import java.util.List;

import com.alipay.ap.model.PSPRegistrationResult;
import com.alipay.ap.model.RegistrationResult;
import com.alipay.ap.response.HttpReceiveResponse;

/**
 * Merchant Registration Status Notify Request
 * @author wqy01239909
 * @version $Id: MerchantRegistrationStatusNotifyRequest.java, v 0.1 2022‐06-23 17:30 wqy01239909 Exp $
 */
public class MerchantRegistrationStatusNotifyRequest extends APSRequest {
    /** serialVersionUID */
    private static final long           serialVersionUID = 3094011768648243677L;
    /**
     * referenceMerchantId
     */
    private String                      referenceMerchantId;
    /**
     * referenceStoreId
     */
    private String                      referenceStoreId;
    /**
     * The collective registration result of all the MPPs to be registered to for each of the unique pair of referenceMerchantId and referenceStoreId.
     */
    private RegistrationResult          registrationResult;
    /**
     * The list of individual registration results of all the MPPs to be registered to.
     * Note: Specified by Alipay+ if at least one MPP has updated its registration status.
     */
    private List<PSPRegistrationResult> pspRegistrationResultList;
    /**
     * registrationRequestId
     */
    private String                      registrationRequestId;

    /**
     * Getter method for property referenceMerchantId.
     *
     * @return property value of referenceMerchantId
     */
    public String getReferenceMerchantId() {
        return referenceMerchantId;
    }

    /**
     * Setter method for property referenceMerchantId.
     *
     * @param referenceMerchantId value to be assigned to property referenceMerchantId
     */
    public void setReferenceMerchantId(String referenceMerchantId) {
        this.referenceMerchantId = referenceMerchantId;
    }

    /**
     * Getter method for property referenceStoreId.
     *
     * @return property value of referenceStoreId
     */
    public String getReferenceStoreId() {
        return referenceStoreId;
    }

    /**
     * Setter method for property referenceStoreId.
     *
     * @param referenceStoreId value to be assigned to property referenceStoreId
     */
    public void setReferenceStoreId(String referenceStoreId) {
        this.referenceStoreId = referenceStoreId;
    }

    /**
     * Getter method for property registrationResult.
     *
     * @return property value of registrationResult
     */
    public RegistrationResult getRegistrationResult() {
        return registrationResult;
    }

    /**
     * Setter method for property registrationResult.
     *
     * @param registrationResult value to be assigned to property registrationResult
     */
    public void setRegistrationResult(RegistrationResult registrationResult) {
        this.registrationResult = registrationResult;
    }

    /**
     * Getter method for property pspRegistrationResultList.
     *
     * @return property value of pspRegistrationResultList
     */
    public List<PSPRegistrationResult> getPspRegistrationResultList() {
        return pspRegistrationResultList;
    }

    /**
     * Setter method for property pspRegistrationResultList.
     *
     * @param pspRegistrationResultList value to be assigned to property pspRegistrationResultList
     */
    public void setPspRegistrationResultList(List<PSPRegistrationResult> pspRegistrationResultList) {
        this.pspRegistrationResultList = pspRegistrationResultList;
    }

    /**
     * Getter method for property registrationRequestId.
     *
     * @return property value of registrationRequestId
     */
    public String getRegistrationRequestId() {
        return registrationRequestId;
    }

    /**
     * Setter method for property registrationRequestId.
     *
     * @param registrationRequestId value to be assigned to property registrationRequestId
     */
    public void setRegistrationRequestId(String registrationRequestId) {
        this.registrationRequestId = registrationRequestId;
    }

    @Override
    public Class<HttpReceiveResponse> getResponseClass() {
        return HttpReceiveResponse.class;
    }
}
