/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.request;

import java.util.List;

import com.alipay.ap.constants.URIConstants;
import com.alipay.ap.enums.OsType;
import com.alipay.ap.enums.Scope;
import com.alipay.ap.enums.TerminalType;
import com.alipay.ap.model.Amount;
import com.alipay.ap.model.SettlementStrategy;
import com.alipay.ap.response.PrepareResponse;

/**
 * Prepare Request
 * @author wqy01239909
 * @version $Id: PrepareRequest.java, v 0.1 2022‐07-08 15:20 wqy01239909 Exp $
 */
public class PrepareRequest extends APSRequest<PrepareResponse> {
    /** serialVersionUID */
    private static final long               serialVersionUID = 6955536210195635985L;
    /**
     * authClientId
     */
    private              String             authClientId;
    /**
     * authClientName
     */
    private              String             authClientName;
    /**
     * authClientDisplayName
     */
    private              String             authClientDisplayName;
    /**
     * authClientLogo
     */
    private              String             authClientLogo;
    /**
     * referenceMerchantId
     */
    private              String             referenceMerchantId;
    /**
     * authRedirectUrl
     */
    private              String             authRedirectUrl;
    /**
     * scopes
     */
    private              List<Scope>        scopes;
    /**
     * authState
     */
    private              String             authState;
    /**
     * terminalType
     */
    private              TerminalType       terminalType;
    /**
     * referenceAgreementId
     */
    private              String             referenceAgreementId;
    /**
     * osType
     */
    private              OsType             osType;
    /**
     * osVersion
     */
    private              String             osVersion;
    /**
     * userAgent
     */
    private              String             userAgent;
    /**
     * authNotifyUrl
     */
    private              String             authNotifyUrl;
    /**
     * passThroughInfo
     */
    private              String             passThroughInfo;
    /**
     * paymentAmount
     */
    private              Amount             paymentAmount;
    /**
     * settlementStrategy
     */
    private              SettlementStrategy settlementStrategy;
    /**
     * userRegion
     */
    private              String             userRegion;
    /**
     * boundWalletNames
     */
    private              List<String>       boundWalletNames;

    public PrepareRequest() {
        super(URIConstants.PREPARE);
    }

    /**
     * Getter method for property authClientId.
     *
     * @return property value of authClientId
     */
    public String getAuthClientId() {
        return authClientId;
    }

    /**
     * Setter method for property authClientId.
     *
     * @param authClientId value to be assigned to property authClientId
     */
    public void setAuthClientId(String authClientId) {
        this.authClientId = authClientId;
    }

    /**
     * Getter method for property authClientName.
     *
     * @return property value of authClientName
     */
    public String getAuthClientName() {
        return authClientName;
    }

    /**
     * Setter method for property authClientName.
     *
     * @param authClientName value to be assigned to property authClientName
     */
    public void setAuthClientName(String authClientName) {
        this.authClientName = authClientName;
    }

    /**
     * Getter method for property authClientDisplayName.
     *
     * @return property value of authClientDisplayName
     */
    public String getAuthClientDisplayName() {
        return authClientDisplayName;
    }

    /**
     * Setter method for property authClientDisplayName.
     *
     * @param authClientDisplayName value to be assigned to property authClientDisplayName
     */
    public void setAuthClientDisplayName(String authClientDisplayName) {
        this.authClientDisplayName = authClientDisplayName;
    }

    /**
     * Getter method for property authClientLogo.
     *
     * @return property value of authClientLogo
     */
    public String getAuthClientLogo() {
        return authClientLogo;
    }

    /**
     * Setter method for property authClientLogo.
     *
     * @param authClientLogo value to be assigned to property authClientLogo
     */
    public void setAuthClientLogo(String authClientLogo) {
        this.authClientLogo = authClientLogo;
    }

    /**
     * Getter method for property referenceMerchantId.
     *
     * @return property value of referenceMerchantId
     */
    public String getReferenceMerchantId() {
        return referenceMerchantId;
    }

    /**
     * Setter method for property referenceMerchantId.
     *
     * @param referenceMerchantId value to be assigned to property referenceMerchantId
     */
    public void setReferenceMerchantId(String referenceMerchantId) {
        this.referenceMerchantId = referenceMerchantId;
    }

    /**
     * Getter method for property authRedirectUrl.
     *
     * @return property value of authRedirectUrl
     */
    public String getAuthRedirectUrl() {
        return authRedirectUrl;
    }

    /**
     * Setter method for property authRedirectUrl.
     *
     * @param authRedirectUrl value to be assigned to property authRedirectUrl
     */
    public void setAuthRedirectUrl(String authRedirectUrl) {
        this.authRedirectUrl = authRedirectUrl;
    }

    /**
     * Getter method for property scopes.
     *
     * @return property value of scopes
     */
    public List<Scope> getScopes() {
        return scopes;
    }

    /**
     * Setter method for property scopes.
     *
     * @param scopes value to be assigned to property scopes
     */
    public void setScopes(List<Scope> scopes) {
        this.scopes = scopes;
    }

    /**
     * Getter method for property authState.
     *
     * @return property value of authState
     */
    public String getAuthState() {
        return authState;
    }

    /**
     * Setter method for property authState.
     *
     * @param authState value to be assigned to property authState
     */
    public void setAuthState(String authState) {
        this.authState = authState;
    }

    /**
     * Getter method for property terminalType.
     *
     * @return property value of terminalType
     */
    public TerminalType getTerminalType() {
        return terminalType;
    }

    /**
     * Setter method for property terminalType.
     *
     * @param terminalType value to be assigned to property terminalType
     */
    public void setTerminalType(TerminalType terminalType) {
        this.terminalType = terminalType;
    }

    /**
     * Getter method for property referenceAgreementId.
     *
     * @return property value of referenceAgreementId
     */
    public String getReferenceAgreementId() {
        return referenceAgreementId;
    }

    /**
     * Setter method for property referenceAgreementId.
     *
     * @param referenceAgreementId value to be assigned to property referenceAgreementId
     */
    public void setReferenceAgreementId(String referenceAgreementId) {
        this.referenceAgreementId = referenceAgreementId;
    }

    /**
     * Getter method for property osType.
     *
     * @return property value of osType
     */
    public OsType getOsType() {
        return osType;
    }

    /**
     * Setter method for property osType.
     *
     * @param osType value to be assigned to property osType
     */
    public void setOsType(OsType osType) {
        this.osType = osType;
    }

    /**
     * Getter method for property osVersion.
     *
     * @return property value of osVersion
     */
    public String getOsVersion() {
        return osVersion;
    }

    /**
     * Setter method for property osVersion.
     *
     * @param osVersion value to be assigned to property osVersion
     */
    public void setOsVersion(String osVersion) {
        this.osVersion = osVersion;
    }

    /**
     * Getter method for property userAgent.
     *
     * @return property value of userAgent
     */
    public String getUserAgent() {
        return userAgent;
    }

    /**
     * Setter method for property userAgent.
     *
     * @param userAgent value to be assigned to property userAgent
     */
    public void setUserAgent(String userAgent) {
        this.userAgent = userAgent;
    }

    /**
     * Getter method for property authNotifyUrl.
     *
     * @return property value of authNotifyUrl
     */
    public String getAuthNotifyUrl() {
        return authNotifyUrl;
    }

    /**
     * Setter method for property authNotifyUrl.
     *
     * @param authNotifyUrl value to be assigned to property authNotifyUrl
     */
    public void setAuthNotifyUrl(String authNotifyUrl) {
        this.authNotifyUrl = authNotifyUrl;
    }

    /**
     * Getter method for property passThroughInfo.
     *
     * @return property value of passThroughInfo
     */
    public String getPassThroughInfo() {
        return passThroughInfo;
    }

    /**
     * Setter method for property passThroughInfo.
     *
     * @param passThroughInfo value to be assigned to property passThroughInfo
     */
    public void setPassThroughInfo(String passThroughInfo) {
        this.passThroughInfo = passThroughInfo;
    }

    /**
     * Getter method for property paymentAmount.
     *
     * @return property value of paymentAmount
     */
    public Amount getPaymentAmount() {
        return paymentAmount;
    }

    /**
     * Setter method for property paymentAmount.
     *
     * @param paymentAmount value to be assigned to property paymentAmount
     */
    public void setPaymentAmount(Amount paymentAmount) {
        this.paymentAmount = paymentAmount;
    }

    /**
     * Getter method for property settlementStrategy.
     *
     * @return property value of settlementStrategy
     */
    public SettlementStrategy getSettlementStrategy() {
        return settlementStrategy;
    }

    /**
     * Setter method for property settlementStrategy.
     *
     * @param settlementStrategy value to be assigned to property settlementStrategy
     */
    public void setSettlementStrategy(SettlementStrategy settlementStrategy) {
        this.settlementStrategy = settlementStrategy;
    }

    /**
     * Getter method for property userRegion.
     *
     * @return property value of userRegion
     */
    public String getUserRegion() {
        return userRegion;
    }

    /**
     * Setter method for property userRegion.
     *
     * @param userRegion value to be assigned to property userRegion
     */
    public void setUserRegion(String userRegion) {
        this.userRegion = userRegion;
    }

    /**
     * Getter method for property boundWalletNames.
     *
     * @return property value of boundWalletNames
     */
    public List<String> getBoundWalletNames() {
        return boundWalletNames;
    }

    /**
     * Setter method for property boundWalletNames.
     *
     * @param boundWalletNames value to be assigned to property boundWalletNames
     */
    public void setBoundWalletNames(List<String> boundWalletNames) {
        this.boundWalletNames = boundWalletNames;
    }

    @Override
    public Class getResponseClass() {
        return PrepareResponse.class;
    }
}