/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.request;

import com.alipay.ap.constants.URIConstants;
import com.alipay.ap.model.Amount;
import com.alipay.ap.response.RefundResponse;

/**
 * Refund Request
 * @author wqy01239909
 * @version $Id: RefundRequest.java, v 0.1 2022‐06-24 10:33 wqy01239909 Exp $
 */
public class RefundRequest extends APSRequest<RefundResponse> {
    /** serialVersionUID */
    private static final long serialVersionUID = -1043557746469551901L;
    /**
     * paymentRequestId
     */
    private String            paymentRequestId;
    /**
     * paymentId
     */
    private String            paymentId;
    /**
     * refundRequestId
     */
    private String            refundRequestId;
    /**
     * refundAmount
     */
    private Amount            refundAmount;
    /**
     * refundReason
     */
    private String            refundReason;

    public RefundRequest() {
        super(URIConstants.REFUND);
    }

    /**
     * Getter method for property paymentRequestId.
     *
     * @return property value of paymentRequestId
     */
    public String getPaymentRequestId() {
        return paymentRequestId;
    }

    /**
     * Setter method for property paymentRequestId.
     *
     * @param paymentRequestId value to be assigned to property paymentRequestId
     */
    public void setPaymentRequestId(String paymentRequestId) {
        this.paymentRequestId = paymentRequestId;
    }

    /**
     * Getter method for property paymentId.
     *
     * @return property value of paymentId
     */
    public String getPaymentId() {
        return paymentId;
    }

    /**
     * Setter method for property paymentId.
     *
     * @param paymentId value to be assigned to property paymentId
     */
    public void setPaymentId(String paymentId) {
        this.paymentId = paymentId;
    }

    /**
     * Getter method for property refundRequestId.
     *
     * @return property value of refundRequestId
     */
    public String getRefundRequestId() {
        return refundRequestId;
    }

    /**
     * Setter method for property refundRequestId.
     *
     * @param refundRequestId value to be assigned to property refundRequestId
     */
    public void setRefundRequestId(String refundRequestId) {
        this.refundRequestId = refundRequestId;
    }

    /**
     * Getter method for property refundAmount.
     *
     * @return property value of refundAmount
     */
    public Amount getRefundAmount() {
        return refundAmount;
    }

    /**
     * Setter method for property refundAmount.
     *
     * @param refundAmount value to be assigned to property refundAmount
     */
    public void setRefundAmount(Amount refundAmount) {
        this.refundAmount = refundAmount;
    }

    /**
     * Getter method for property refundReason.
     *
     * @return property value of refundReason
     */
    public String getRefundReason() {
        return refundReason;
    }

    /**
     * Setter method for property refundReason.
     *
     * @param refundReason value to be assigned to property refundReason
     */
    public void setRefundReason(String refundReason) {
        this.refundReason = refundReason;
    }

    @Override
    public Class<RefundResponse> getResponseClass() {
        return RefundResponse.class;
    }
}