/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.request;

/**
 * Schedule Job Request
 * @author mulin.xl
 * @version $Id: ScheduleJobRequest.java, v 0.1 2022‐07‐19 17:56 mulin.xl Exp $$
 */
public class ScheduleJobRequest {

    /**
     * bizId
     */
    private String bizId;
    /**
     * bizType
     */
    private String bizType;
    /**
     * bizContext
     */
    private String bizContext;
    /**
     * executedTimes
     */
    private int    executedTimes = 0;
    /**
     * nextExecuteTime
     */
    private long   nextExecuteTime;

    public ScheduleJobRequest(String bizId, String bizType, String bizContext,
                              long nextExecuteTime) {
        this.bizId = bizId;
        this.bizType = bizType;
        this.bizContext = bizContext;
        this.nextExecuteTime = nextExecuteTime;
    }

    /**
     * Getter method for property bizId.
     *
     * @return property value of bizId
     */
    public String getBizId() {
        return bizId;
    }

    /**
     * Setter method for property bizId.
     *
     * @param bizId value to be assigned to property bizId
     */
    public void setBizId(String bizId) {
        this.bizId = bizId;
    }

    /**
     * Getter method for property bizType.
     *
     * @return property value of bizType
     */
    public String getBizType() {
        return bizType;
    }

    /**
     * Setter method for property bizType.
     *
     * @param bizType value to be assigned to property bizType
     */
    public void setBizType(String bizType) {
        this.bizType = bizType;
    }

    /**
     * Getter method for property bizContext.
     *
     * @return property value of bizContext
     */
    public String getBizContext() {
        return bizContext;
    }

    /**
     * Setter method for property bizContext.
     *
     * @param bizContext value to be assigned to property bizContext
     */
    public void setBizContext(String bizContext) {
        this.bizContext = bizContext;
    }

    /**
     * Getter method for property executedTimes.
     *
     * @return property value of executedTimes
     */
    public int getExecutedTimes() {
        return executedTimes;
    }

    /**
     * Getter method for property nextExecuteTime.
     *
     * @return property value of nextExecuteTime
     */
    public long getNextExecuteTime() {
        return nextExecuteTime;
    }

    /**
     * Setter method for property nextExecuteTime.
     *
     * @param nextExecuteTime value to be assigned to property nextExecuteTime
     */
    public void setNextExecuteTime(long nextExecuteTime) {
        this.nextExecuteTime = nextExecuteTime;
    }
}