/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.response;

import com.alipay.ap.model.Wallet;

/**
 * Apply Token Response
 * @author wqy01239909
 * @version $Id: ApplyTokenResponse.java, v 0.1 2022‐07-08 15:37 wqy01239909 Exp $
 */
public class ApplyTokenResponse extends APSResponse {
    /** serialVersionUID */
    private static final long serialVersionUID = -39225488649079114L;
    /**
     * pspId
     */
    private String            pspId;
    /**
     * acquirerId
     */
    private String            acquirerId;
    /**
     * accessToken
     */
    private String            accessToken;
    /**
     * accessTokenExpiryTime
     */
    private String            accessTokenExpiryTime;
    /**
     * refreshToken
     */
    private String            refreshToken;
    /**
     * refreshTokenExpiryTime
     */
    private String            refreshTokenExpiryTime;
    /**
     * customerId
     */
    private String            customerId;
    /**
     * userLoginId
     */
    private String            userLoginId;
    /**
     * passThroughInfo
     */
    private String            passThroughInfo;
    /**
     * walletForAccountBinding
     */
    private Wallet            walletForAccountBinding;

    /**
     * Getter method for property pspId.
     *
     * @return property value of pspId
     */
    public String getPspId() {
        return pspId;
    }

    /**
     * Setter method for property pspId.
     *
     * @param pspId value to be assigned to property pspId
     */
    public void setPspId(String pspId) {
        this.pspId = pspId;
    }

    /**
     * Getter method for property acquirerId.
     *
     * @return property value of acquirerId
     */
    public String getAcquirerId() {
        return acquirerId;
    }

    /**
     * Setter method for property acquirerId.
     *
     * @param acquirerId value to be assigned to property acquirerId
     */
    public void setAcquirerId(String acquirerId) {
        this.acquirerId = acquirerId;
    }

    /**
     * Getter method for property accessToken.
     *
     * @return property value of accessToken
     */
    public String getAccessToken() {
        return accessToken;
    }

    /**
     * Setter method for property accessToken.
     *
     * @param accessToken value to be assigned to property accessToken
     */
    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    /**
     * Getter method for property accessTokenExpiryTime.
     *
     * @return property value of accessTokenExpiryTime
     */
    public String getAccessTokenExpiryTime() {
        return accessTokenExpiryTime;
    }

    /**
     * Setter method for property accessTokenExpiryTime.
     *
     * @param accessTokenExpiryTime value to be assigned to property accessTokenExpiryTime
     */
    public void setAccessTokenExpiryTime(String accessTokenExpiryTime) {
        this.accessTokenExpiryTime = accessTokenExpiryTime;
    }

    /**
     * Getter method for property refreshToken.
     *
     * @return property value of refreshToken
     */
    public String getRefreshToken() {
        return refreshToken;
    }

    /**
     * Setter method for property refreshToken.
     *
     * @param refreshToken value to be assigned to property refreshToken
     */
    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    /**
     * Getter method for property refreshTokenExpiryTime.
     *
     * @return property value of refreshTokenExpiryTime
     */
    public String getRefreshTokenExpiryTime() {
        return refreshTokenExpiryTime;
    }

    /**
     * Setter method for property refreshTokenExpiryTime.
     *
     * @param refreshTokenExpiryTime value to be assigned to property refreshTokenExpiryTime
     */
    public void setRefreshTokenExpiryTime(String refreshTokenExpiryTime) {
        this.refreshTokenExpiryTime = refreshTokenExpiryTime;
    }

    /**
     * Getter method for property customerId.
     *
     * @return property value of customerId
     */
    public String getCustomerId() {
        return customerId;
    }

    /**
     * Setter method for property customerId.
     *
     * @param customerId value to be assigned to property customerId
     */
    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    /**
     * Getter method for property userLoginId.
     *
     * @return property value of userLoginId
     */
    public String getUserLoginId() {
        return userLoginId;
    }

    /**
     * Setter method for property userLoginId.
     *
     * @param userLoginId value to be assigned to property userLoginId
     */
    public void setUserLoginId(String userLoginId) {
        this.userLoginId = userLoginId;
    }

    /**
     * Getter method for property passThroughInfo.
     *
     * @return property value of passThroughInfo
     */
    public String getPassThroughInfo() {
        return passThroughInfo;
    }

    /**
     * Setter method for property passThroughInfo.
     *
     * @param passThroughInfo value to be assigned to property passThroughInfo
     */
    public void setPassThroughInfo(String passThroughInfo) {
        this.passThroughInfo = passThroughInfo;
    }

    /**
     * Getter method for property walletForAccountBinding.
     *
     * @return property value of walletForAccountBinding
     */
    public Wallet getWalletForAccountBinding() {
        return walletForAccountBinding;
    }

    /**
     * Setter method for property walletForAccountBinding.
     *
     * @param walletForAccountBinding value to be assigned to property walletForAccountBinding
     */
    public void setWalletForAccountBinding(Wallet walletForAccountBinding) {
        this.walletForAccountBinding = walletForAccountBinding;
    }
}