/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.response;

import com.alipay.ap.model.Amount;
import com.alipay.ap.model.Quote;

/**
 * Auto Debit Pay Response
 * @author wqy01239909
 * @version $Id: AutoDebitPayResponse.java, v 0.1 2022‐07-08 16:29 wqy01239909 Exp $
 */
public class AutoDebitPayResponse extends APSResponse {
    /** serialVersionUID */
    private static final long serialVersionUID = 6703977594831379591L;
    /**
     * acquirerId
     */
    private String            acquirerId;
    /**
     * paymentId
     */
    private String            paymentId;
    /**
     * paymentTime
     */
    private String            paymentTime;
    /**
     * paymentAmount
     */
    private Amount            paymentAmount;
    /**
     * customerId
     */
    private String            customerId;
    /**
     * pspId
     */
    private String            pspId;
    /**
     * walletBrandName
     */
    private String            walletBrandName;
    /**
     * settlementAmount
     */
    private Amount            settlementAmount;
    /**
     * settlementQuote
     */
    private Quote             settlementQuote;
    /**
     * customsDeclarationAmount
     */
    private Amount            customsDeclarationAmount;

    /**
     * Getter method for property acquirerId.
     *
     * @return property value of acquirerId
     */
    public String getAcquirerId() {
        return acquirerId;
    }

    /**
     * Setter method for property acquirerId.
     *
     * @param acquirerId value to be assigned to property acquirerId
     */
    public void setAcquirerId(String acquirerId) {
        this.acquirerId = acquirerId;
    }

    /**
     * Getter method for property paymentId.
     *
     * @return property value of paymentId
     */
    public String getPaymentId() {
        return paymentId;
    }

    /**
     * Setter method for property paymentId.
     *
     * @param paymentId value to be assigned to property paymentId
     */
    public void setPaymentId(String paymentId) {
        this.paymentId = paymentId;
    }

    /**
     * Getter method for property paymentTime.
     *
     * @return property value of paymentTime
     */
    public String getPaymentTime() {
        return paymentTime;
    }

    /**
     * Setter method for property paymentTime.
     *
     * @param paymentTime value to be assigned to property paymentTime
     */
    public void setPaymentTime(String paymentTime) {
        this.paymentTime = paymentTime;
    }

    /**
     * Getter method for property paymentAmount.
     *
     * @return property value of paymentAmount
     */
    public Amount getPaymentAmount() {
        return paymentAmount;
    }

    /**
     * Setter method for property paymentAmount.
     *
     * @param paymentAmount value to be assigned to property paymentAmount
     */
    public void setPaymentAmount(Amount paymentAmount) {
        this.paymentAmount = paymentAmount;
    }

    /**
     * Getter method for property customerId.
     *
     * @return property value of customerId
     */
    public String getCustomerId() {
        return customerId;
    }

    /**
     * Setter method for property customerId.
     *
     * @param customerId value to be assigned to property customerId
     */
    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    /**
     * Getter method for property pspId.
     *
     * @return property value of pspId
     */
    public String getPspId() {
        return pspId;
    }

    /**
     * Setter method for property pspId.
     *
     * @param pspId value to be assigned to property pspId
     */
    public void setPspId(String pspId) {
        this.pspId = pspId;
    }

    /**
     * Getter method for property walletBrandName.
     *
     * @return property value of walletBrandName
     */
    public String getWalletBrandName() {
        return walletBrandName;
    }

    /**
     * Setter method for property walletBrandName.
     *
     * @param walletBrandName value to be assigned to property walletBrandName
     */
    public void setWalletBrandName(String walletBrandName) {
        this.walletBrandName = walletBrandName;
    }

    /**
     * Getter method for property settlementAmount.
     *
     * @return property value of settlementAmount
     */
    public Amount getSettlementAmount() {
        return settlementAmount;
    }

    /**
     * Setter method for property settlementAmount.
     *
     * @param settlementAmount value to be assigned to property settlementAmount
     */
    public void setSettlementAmount(Amount settlementAmount) {
        this.settlementAmount = settlementAmount;
    }

    /**
     * Getter method for property settlementQuote.
     *
     * @return property value of settlementQuote
     */
    public Quote getSettlementQuote() {
        return settlementQuote;
    }

    /**
     * Setter method for property settlementQuote.
     *
     * @param settlementQuote value to be assigned to property settlementQuote
     */
    public void setSettlementQuote(Quote settlementQuote) {
        this.settlementQuote = settlementQuote;
    }

    /**
     * Getter method for property customsDeclarationAmount.
     *
     * @return property value of customsDeclarationAmount
     */
    public Amount getCustomsDeclarationAmount() {
        return customsDeclarationAmount;
    }

    /**
     * Setter method for property customsDeclarationAmount.
     *
     * @param customsDeclarationAmount value to be assigned to property customsDeclarationAmount
     */
    public void setCustomsDeclarationAmount(Amount customsDeclarationAmount) {
        this.customsDeclarationAmount = customsDeclarationAmount;
    }
}