/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.response;

import java.io.UnsupportedEncodingException;
import java.util.Map;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.alipay.ap.constants.CommonConstants;
import com.alipay.ap.model.ResponseHeader;
import com.alipay.ap.model.Result;
import com.alipay.ap.utils.GsonUtils;

/**
 * Http Receive Response
 * @author mulin.xl
 * @version $Id: HttpReceiveResponse.java, v 0.1 2022‐07‐13 11:56 mulin.xl Exp $$
 */
public class HttpReceiveResponse extends APSResponse {
    /** serialVersionUID */
    private static final long   serialVersionUID = 1416092033561752155L;
    /** logger */
    private static final Logger logger           = LoggerFactory
        .getLogger(HttpReceiveResponse.class);

    public byte[] getBodyContent() {

        try {
            return GsonUtils.toJSONString(this).getBytes(CommonConstants.DEFAULT_CHARSET);
        } catch (UnsupportedEncodingException e) {
            logger.error(
                "[ALIPAYPLUS_LOG][UNSUPPORTED_ENCODING] exception happened when json serialize , exception={}",
                e);
            throw new RuntimeException(
                String.format("UnsupportedEncoding=%s", CommonConstants.DEFAULT_CHARSET), e);
        }
    }

    public Map<String, String> getResponseHeaders() {

        return super.getResponseHeader().toMap();
    }

    public HttpReceiveResponse(Result result) {
        super(result);
    }

    public HttpReceiveResponse() {

    }

    public HttpReceiveResponse(ResponseHeader responseHeader, Result result) {
        super(responseHeader, result);
    }
}