/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.response;

import java.util.List;

import com.alipay.ap.model.PSPRegistrationResult;
import com.alipay.ap.model.RegistrationResult;

/**
 * Merchant Inquiry Registration Status Response
 * @author wqy01239909
 * @version $Id: MerchantInquiryRegistrationStatusResponse.java, v 0.1 2022‐06-23 17:34 wqy01239909 Exp $
 */
public class MerchantInquiryRegistrationStatusResponse extends APSResponse {
    /** serialVersionUID */
    private static final long           serialVersionUID = 2403460833742039086L;
    /**
     * The collective registration result of all the Mobile Payment Partners (MPPs) to be registered to.
     */
    private RegistrationResult          registrationResult;
    /**
     * The list of individual registration results of all the MPPs to be registered to.
     */
    private List<PSPRegistrationResult> pspRegistrationResultList;

    /**
     * Getter method for property registrationResult.
     *
     * @return property value of registrationResult
     */
    public RegistrationResult getRegistrationResult() {
        return registrationResult;
    }

    /**
     * Setter method for property registrationResult.
     *
     * @param registrationResult value to be assigned to property registrationResult
     */
    public void setRegistrationResult(RegistrationResult registrationResult) {
        this.registrationResult = registrationResult;
    }

    /**
     * Getter method for property pspRegistrationResultList.
     *
     * @return property value of pspRegistrationResultList
     */
    public List<PSPRegistrationResult> getPspRegistrationResultList() {
        return pspRegistrationResultList;
    }

    /**
     * Setter method for property pspRegistrationResultList.
     *
     * @param pspRegistrationResultList value to be assigned to property pspRegistrationResultList
     */
    public void setPspRegistrationResultList(List<PSPRegistrationResult> pspRegistrationResultList) {
        this.pspRegistrationResultList = pspRegistrationResultList;
    }
}
