/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.utils;

import java.util.HashMap;
import java.util.Map;

import org.apache.http.Header;

/**
 * an util class that deal with http header
 * 
 * @author guangling.zgl
 * @version $Id: HeaderUtil.java, v 0.1 2019‐10-23 10:37:24 guangling.zgl Exp $
 */
public class HeaderUtil {

    /**
     * get map from header array
     * @param allHeaders  header array
     * @return  header map
     */
    public static Map<String, String> toHeaderMap(Header[] allHeaders) {

        HashMap<String, String> hashMap = new HashMap<String, String>();

        for (Header h : allHeaders) {
            hashMap.put(h.getName().toLowerCase(), h.getValue());
        }

        return hashMap;
    }

}
