/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.unittest;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.junit.MockitoJUnitRunner;

import com.alipay.ap.DefaultAPS;
import com.alipay.ap.cfg.APSSettings;

/**
 *
 * @author wangpeng
 * @version $Id: APSSettingsTest.java, v 0.1 2022‐06-21 15:00 wangpeng Exp $
 */
@RunWith(MockitoJUnitRunner.class)
public class APSSettingsTest {


    @Test
    public void test() {

        // test constructor with params
        APSSettings apsSettings1 = new APSSettings("test_client", "test_private_key",
            "test_alipay_public_key", "test_gateway_url");
        Assert.assertEquals("test_client", apsSettings1.getClientId());
        Assert.assertEquals("test_private_key", apsSettings1.getPrivateKey());
        Assert.assertEquals("test_alipay_public_key", apsSettings1.getAlipayPlusPublicKey());
        Assert.assertEquals("test_gateway_url", apsSettings1.getGatewayUrl());

    }

    @Test
    public void testDefaultAPS() {
        DefaultAPS instance = DefaultAPS.getInstance();
        instance.setApsClient(null);
        instance.setApsHttpReceiveListener(null);
        instance.getApsHttpReceiveListener();
    }

}