/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.unittest.callbacks;

import static org.mockito.Mockito.times;
import static org.mockito.Mockito.verify;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.ArgumentMatchers;
import org.mockito.Spy;
import org.mockito.junit.MockitoJUnitRunner;

import com.alipay.ap.callbacks.DefaultApplyTokenCallback;
import com.alipay.ap.net.APSClient;
import com.alipay.ap.request.ApplyTokenRequest;
import com.alipay.ap.response.ApplyTokenResponse;

/**
 *
 * @author wqy01239909
 * @version $Id: DefaultApplyTokenCallbackTest.java, v 0.1 2022‐07-19 15:51 wqy01239909 Exp $
 */
@RunWith(MockitoJUnitRunner.class)
public class DefaultApplyTokenCallbackTest {

    @Spy
    private DefaultApplyTokenCallback defaultApplyTokenCallback = new DefaultApplyTokenCallback() {
                                                                    @Override
                                                                    public void onApplyTokenSuccess(APSClient apsClient,
                                                                                                    ApplyTokenRequest request,
                                                                                                    ApplyTokenResponse response) throws Exception {

                                                                    }

                                                                    @Override
                                                                    public void onApplyTokenFail(APSClient apsClient,
                                                                                                 ApplyTokenRequest request,
                                                                                                 ApplyTokenResponse response) throws Exception {

                                                                    }

                                                                    @Override
                                                                    public void onApplyTokenUnknown(APSClient apsClient,
                                                                                                    ApplyTokenRequest request,
                                                                                                    ApplyTokenResponse response) throws Exception {

                                                                    }
                                                                };

    @Test
    public void testSuccess() {
        try {
            Assert.assertTrue(defaultApplyTokenCallback != null);
            defaultApplyTokenCallback.onSstatus(ArgumentMatchers.any(), ArgumentMatchers.any(), ArgumentMatchers.any());
            verify(defaultApplyTokenCallback, times(1)).onApplyTokenSuccess(ArgumentMatchers.any(),
                    ArgumentMatchers.any(), ArgumentMatchers.any());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Test
    public void testFail() {
        try {
            Assert.assertTrue(defaultApplyTokenCallback != null);
            defaultApplyTokenCallback.onFstatus(ArgumentMatchers.any(), ArgumentMatchers.any(), ArgumentMatchers.any());
            verify(defaultApplyTokenCallback, times(1)).onApplyTokenFail(ArgumentMatchers.any(),
                    ArgumentMatchers.any(), ArgumentMatchers.any());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Test
    public void testUnknown() {
        try {
            Assert.assertTrue(defaultApplyTokenCallback != null);
            defaultApplyTokenCallback.onUstatus(ArgumentMatchers.any(), ArgumentMatchers.any(), ArgumentMatchers.any());
            verify(defaultApplyTokenCallback, times(1)).onApplyTokenUnknown(ArgumentMatchers.any(),
                    ArgumentMatchers.any(), ArgumentMatchers.any());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}