/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.unittest.callbacks;

import static org.mockito.ArgumentMatchers.any;
import static org.mockito.Mockito.times;
import static org.mockito.Mockito.verify;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.MockedStatic;
import org.mockito.Mockito;
import org.mockito.Spy;
import org.mockito.junit.MockitoJUnitRunner;

import com.alipay.ap.callbacks.DefaultConsultUnbindingCallback;
import com.alipay.ap.request.ConsultUnbindingRequest;
import com.alipay.ap.response.ConsultUnbindingResponse;
import com.alipay.ap.utils.SerializeUtil;

@RunWith(MockitoJUnitRunner.class)
public class DefaultConsultUnbindingCallbackTest {

    @Spy
    private DefaultConsultUnbindingCallback callback = new DefaultConsultUnbindingCallback() {
        @Override
        public ConsultUnbindingResponse handleConsultUnbinding(ConsultUnbindingRequest request) {
            return null;
        }
    };

    @Test
    public void doProcess() {
        Assert.assertTrue(callback != null);
        ConsultUnbindingRequest consultUnbindingRequest = new ConsultUnbindingRequest();

        try(MockedStatic<SerializeUtil> serializeUtilMockedStatic = Mockito
                .mockStatic(SerializeUtil.class)) {
            serializeUtilMockedStatic.when(() -> SerializeUtil.deserializeRequest(any(), any()))
                .thenReturn(consultUnbindingRequest);
            consultUnbindingRequest.setAccessToken("test_accessToken");
            callback.doProcess(any());
            verify(callback, times(1)).handleConsultUnbinding(consultUnbindingRequest);
            Assert.assertEquals("test_accessToken", consultUnbindingRequest.getAccessToken());
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}