/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.unittest.callbacks;

import static org.mockito.ArgumentMatchers.any;
import static org.mockito.Mockito.times;
import static org.mockito.Mockito.verify;

import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.mockito.Spy;
import org.mockito.junit.MockitoJUnitRunner;

import com.alipay.ap.callbacks.DefaultRegistrationCallback;
import com.alipay.ap.net.APSClient;
import com.alipay.ap.request.MerchantRegistrationRequest;
import com.alipay.ap.response.MerchantRegistrationResponse;

@RunWith(MockitoJUnitRunner.class)
public class DefaultRegistrationCallbackTest {

    @Spy
    private DefaultRegistrationCallback callback = new DefaultRegistrationCallback() {
        @Override
        public void onRegistrationSuccess(APSClient apsClient, MerchantRegistrationRequest request, MerchantRegistrationResponse response)
                throws Exception {

        }

        @Override
        public void onRegistrationFail(APSClient apsClient, MerchantRegistrationRequest request, MerchantRegistrationResponse response)
                throws Exception {

        }

        @Override
        public void onRegistrationUnknown(APSClient apsClient, MerchantRegistrationRequest request, MerchantRegistrationResponse response)
                throws Exception {

        }
    };

    @Test
    public void onSstatus() {
        try {
            Assert.assertTrue(callback != null);
            callback.onSstatus(any(), any(), any());
            verify(callback, times(1)).onRegistrationSuccess(any(), any(), any());

        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Test
    public void onFstatus() {
        try {
            Assert.assertTrue(callback != null);
            callback.onFstatus(any(), any(), any());
            verify(callback, times(1)).onRegistrationFail(any(), any(), any());

        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    @Test
    public void onUstatus() {
        try {
            Assert.assertTrue(callback != null);
            callback.onUstatus(any(), any(), any());
            verify(callback, times(1)).onRegistrationUnknown(any(), any(), any());

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}