/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.unittest.job;

import static org.mockito.ArgumentMatchers.any;

import org.junit.Test;
import org.mockito.Mockito;

import com.alipay.ap.callbacks.DefaultAutoDebitPayCallback;
import com.alipay.ap.callbacks.HttpSendCallback;
import com.alipay.ap.exception.AlipayPlusApiException;
import com.alipay.ap.job.RetryExecutor;
import com.alipay.ap.net.APSClient;
import com.alipay.ap.request.AutoDebitPayRequest;
import com.alipay.ap.response.AutoDebitPayResponse;

/**
 * @author wqy01239909
 * @version $Id: RetryExecutorTest.java, v 0.1 2022‐08‐23 15:49 wqy01239909 Exp $$
 */
public class RetryExecutorTest {

    @Test
    public void testExecute() throws Exception {
        AutoDebitPayRequest autoDebitPayRequest = new AutoDebitPayRequest();
        autoDebitPayRequest.getRetryContext().setContinueRetry(true);

        APSClient mockAPSClient = Mockito.mock(APSClient.class);
        Mockito.doNothing().when(mockAPSClient).execute(any(), any());
        RetryExecutor.execute(3, mockAPSClient, autoDebitPayRequest, buildAutoDebitPayCallback());
        Mockito.verify(mockAPSClient, Mockito.times(2)).execute(any(), any());
    }

    private HttpSendCallback buildAutoDebitPayCallback() {
        return new DefaultAutoDebitPayCallback() {
            @Override
            public void onPaymentSuccess(APSClient apsClient, AutoDebitPayRequest request,
                                         AutoDebitPayResponse response) {

            }

            @Override
            public void onPaymentFail(APSClient apsClient, AutoDebitPayRequest request,
                                      AutoDebitPayResponse response) {

            }

            @Override
            public void onPaymentUnknown(APSClient apsClient, AutoDebitPayRequest request,
                                         AutoDebitPayResponse response) throws AlipayPlusApiException {

            }
        };
    }

}