/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.unittest.utils;

import org.junit.Assert;
import org.junit.Test;

import com.alipay.ap.request.ApplyTokenRequest;
import com.alipay.ap.utils.GsonUtils;

public class GsonUtilsTest {

    @Test
    public void toJSONString() {
        ApplyTokenRequest applyTokenRequest = new ApplyTokenRequest();
        applyTokenRequest.setRefreshToken("test");
        String s = GsonUtils.toJSONString(applyTokenRequest);
        Assert.assertEquals("{\"refreshToken\":\"test\"}", s);

    }

    @Test
    public void toJavaObject() {
        ApplyTokenRequest applyTokenRequest = GsonUtils.toJavaObject("{\"refreshToken\":\"test\"}", ApplyTokenRequest.class);
        Assert.assertEquals("test", applyTokenRequest.getRefreshToken());
    }
}