/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.unittest.utils;

import java.util.Map;

import org.apache.http.Header;
import org.apache.http.HeaderElement;
import org.apache.http.ParseException;
import org.junit.Assert;
import org.junit.Test;

import com.alipay.ap.utils.HeaderUtil;

public class HeaderUtilTest {

    @Test
    public void toHeaderMap() {
        Header header = new Header() {
            @Override
            public String getName() {
                return "testName";
            }

            @Override
            public String getValue() {
                return "testValue";
            }

            @Override
            public HeaderElement[] getElements() throws ParseException {
                return new HeaderElement[0];
            }
        };
        Header[] allHeaders = new Header[] { header };
        Map<String, String> headerMap = HeaderUtil.toHeaderMap(allHeaders);
        Assert.assertNotNull(headerMap);
        Assert.assertEquals("testValue", headerMap.get("testName".toLowerCase()));
    }

    @Test
    public void getCharset() {
    }

}