/**
 *   Legal Disclaimer
 *   Source Code or Sample Code not belongs to Alipay technological assets, partners agree to take full responsibility for any activities or actions under its use.
 *   Partners are authorised to use for Approved Purposes.
 *   "Approved Purpose" means, subject to any restrictions set out in the Participation Documents, (i) in relation to a Partner, as is necessary in order to facilitate that Partner’s participation in Alipay+ Core; and (ii) in relation to Alipay+, as is necessary in order to facilitate the provision of the Services (including the exercise of rights and performance of obligations under Participation Documents, managing AML/Fraud Risk, resolving any Disputes or facilitating the provision of Partner Products by other Partners).
 *   You should check our NDA for detail Legal T&C.
 */
package com.alipay.ap.unittest.utils;

import org.junit.Assert;
import org.junit.Test;

import com.alipay.ap.utils.StringUtil;

public class StringUtilTest {

    @Test
    public void isBlank() {
        Assert.assertTrue(StringUtil.isBlank(null));

        Assert.assertTrue(StringUtil.isBlank(""));

        Assert.assertTrue(StringUtil.isBlank(" "));

        Assert.assertFalse(StringUtil.isBlank("test"));


    }

    @Test
    public void substringBetween() {
        Assert.assertEquals("test", StringUtil.substringBetween("subteststring", "sub", "string"));
    }

    @Test
    public void substringAfter() {
        Assert.assertEquals("", StringUtil.substringAfter("", " "));
        Assert.assertEquals("test", StringUtil.substringAfter("subtest", "sub"));
    }


    @Test
    public void genRequestID() {
        Assert.assertNotNull(StringUtil.genRequestID("test"));

    }
}